
      SUBROUTINE quicksort (n, a,index)
      
      integer n
      integer index(*)
      real    a(*)
      
      call quicksort1 (1, n)
      
      contains 
      
      
      recursive SUBROUTINE quicksort1 (l,r)
      
      integer l, r
      
      real t,c
      integer d
      integer i,j
      
      integer, parameter :: bound = 6
      
      if (r < l + bound) then 
         call isort (l,r)
      else
         c = a((l+r)/2)
         i = l-1; j = r+1
         do 
            do
               i = i+1; if (a(i) >= c) exit
            end do
            do
               j = j -1; if (a(j) <= c) exit
            end do
            if (i<j) then
               t=a(i); a(i) = a(j); a(j) = t
               d=index(i); index(i) = index(j); index(j) = d
            else if (i == j) then
               i = i+1; exit
            else
               exit
            endif
         end do
         
         if (l<j) call quicksort1 (l,j)
         if (i<r) call quicksort1 (i,r)
         
      end if
      
      
      end subroutine quicksort1
      
      
      SUBROUTINE isort (l,r)
      
      integer l, r
      real t
      integer d
      
      do i=l,r-1
         do j=i+1,r
            if (a(i) > a(j)) then
               t=a(i); a(i) = a(j); a(j) = t
               d=index(i); index(i) = index(j); index(j) = d
            end if
         end do
      end do
      
      end subroutine isort
      
      end subroutine quicksort
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
