      SUBROUTINE CLOAD (NB,IAFLG)                                  
C                                                                       
C.... ROUTINE TO LOAD 6H FCST FIELDS OR ANALYSIS INCREMENTS             
C     INTO IAI COMMON BLOCK (CONTROLLED BY IAFLG, 'FG' OR 'AI')         
                                                                        
#include <vrslv.com>
#include <vstate.com>
#include <iau.com>

      PARAMETER( NTOT  = IMR*(JMR+1)*NLAYR )                            
      PARAMETER( IMJMR = IMR*(JMR+1) )                                  
                                                                        
      PARAMETER( ZERO  = 0.0 )                                          

      CHARACTER*2 IAFLG                                                 
C                                                                       
      IM  = IMR                                                         
      JNP = JMR + 1                                                     
                                                                        
      IF(IAFLG .EQ. 'FG') THEN                                          
         WRITE(6,403)                                                   
 403     FORMAT(' LOADING FG INTO INCREMENT COMMON')                    
         DO 20 L=1,NLAYR                                                
             DO 10 I=1,IMJMR                                            
                 DUANAL(I,1,L) = UZ(I,1,L,NB)                           
                 DVANAL(I,1,L) = VZ(I,1,L,NB)                           
                 DTANAL(I,1,L) = TZ(I,1,L,NB)*pz(i,1,nb)                
                 DQANAL(I,1,L) = QZ(I,1,L,NB)*pz(i,1,nb)                
 10          CONTINUE                                                   
 20      CONTINUE                                                       
                                                                        
         DO 30 I=1,IMJMR                                                
             DPANAL(I,1) = PZ(I,1,NB)                                   
 30      CONTINUE                                                       
                                                                        
      ELSE IF(IAFLG .EQ. 'AI') THEN                                     
         WRITE(6,404)                                                   
 404     FORMAT(' LOADING OI-FG INTO INCREMENT COMMON')                 
                                                                        
C********************************************************************   
C*****   HERE WE WANT THE TENDENCIES IN IAICOM                          
C********************************************************************   
C                                                                       
         DO 50 L=1,NLAYR                                                
           DO 40 I=1,IMJMR                                              
                                                                        
              DUANAL(I,1,L) = UZ(I,1,L,NB) - DUANAL(I,1,L)              
              DVANAL(I,1,L) = VZ(I,1,L,NB) - DVANAL(I,1,L)              
              DTANAL(I,1,L) = TZ(I,1,L,NB)*pz(i,1,nb) - DTANAL(I,1,L)
              DQANAL(I,1,L) = QZ(I,1,L,NB)*pz(i,1,nb) - DQANAL(I,1,L)
                                                                        
 40        CONTINUE                                                     
 50      CONTINUE                                                       
                                                                        
         DO 60 I=1,IMJMR                                                
           DPANAL(I,1) = ( PZ(I,1,NB) - DPANAL(I,1))/(6.*3600.)           
 60      CONTINUE                                                       

         do layers = 1,nlayr
          do i = 1,imjmr

            duanal(i,1,layers) = duanal(i,1,layers) / (6.*3600.)
            dvanal(i,1,layers) = dvanal(i,1,layers) / (6.*3600.)
            dtanal(i,1,layers) = dtanal(i,1,layers) / (6.*3600.)
            dqanal(i,1,layers) = dqanal(i,1,layers) / (6.*3600.)

          end do
         end do

      END IF                                                            
                                                                        
      RETURN                                                            
      END                                                               
