      SUBROUTINE CLRDIAG (N)                                                    
C***********************************************************************        
C                                                                               
C  PURPOSE                                                                      
C     INITIALIZE MODEL DIAGNOSTIC QUANTITIES                                    
C                                                                               
C***********************************************************************        
C*                  GODDARD LABORATORY FOR ATMOSPHERES                 *        
C***********************************************************************        
C                                                                               
#include <vrslv.com>                                                            
#include <vstate.com>                                                           
C                                                                               
      PARAMETER ( ZERO  = 0.0 )                                                 
      PARAMETER ( IMJMR = IMR*(JMR+1) )                                         
C                                                                               
C **********************************************************************        
C ****              SET DIAGNOSTIC AND COUNTER TO ZERO              ****        
C **********************************************************************        
C                                                                               
      IF( IDIAG(N).NE.0 ) THEN                                                  
         DO 10 K=1,KDIAG(N)                                                     
         DO 10 I=1,IMJMR                                                        
         QDIAG(I,1,IDIAG(N)+K-1) = ZERO                                         
   10    CONTINUE                                                               
         NDIAG(N) = 0                                                           
      ENDIF                                                                     
C                                                                               
      RETURN                                                                    
      END                                                                       
