      SUBROUTINE SCALE (F,IM,JM,IDIM,JDIM,N,FMIN,FMAX,DF,NUM,                   
     $                  IMIN,JMIN,IMAX,JMAX)                                    
      PARAMETER ( ZZMAX = -1.0E20 )                                             
      PARAMETER ( ZZMIN =  1.0E20 )                                             
      PARAMETER ( ZERO  =  0.0    )                                             
      PARAMETER (  ONE  =  1.0    )                                             
      PARAMETER (  Z18  = 18.0    )                                             
      PARAMETER (   Z2  =  2.0    )                                             
      DIMENSION F(IDIM,JDIM)                                                    
      IF(NUM.GE.9) NUM=8                                                        
      IMAX = 0                                                                  
      JMAX = 0                                                                  
      IMIN = 0                                                                  
      JMIN = 0                                                                  
      FMAX = ZZMAX                                                              
      FMIN = ZZMIN                                                              
      DO 10 J=1,JM                                                              
      DO 10 I=1,IM                                                              
      IF( F(I,J).LT.FMAX ) GOTO 5                                               
      IMAX = I                                                                  
      JMAX = J                                                                  
      FMAX = F(I,J)                                                             
    5 IF( F(I,J).GT.FMIN ) GOTO 10                                              
      IMIN = I                                                                  
      JMIN = J                                                                  
      FMIN = F(I,J)                                                             
   10 CONTINUE                                                                  
      AFMAX = ABS(FMAX)                                                         
      AFMIN = ABS(FMIN)                                                         
      EX = MAX( AFMAX, AFMIN )                                                  
      IF(EX.EQ.ZERO) GOTO 20                                                    
      X = -LOG10(EX)                                                            
      N = X                                                                     
      IF( FLOAT(N).GE.X .AND. FLOAT(N).LT.(ONE+X) ) GO TO 30                    
      N = N+1                                                                   
      GOTO 30                                                                   
   20 N = 18                                                                    
   30 CONTINUE                                                                  
      N = N + 2                                                                 
      DF = (FMAX-FMIN)/(Z18-Z2*NUM)                                             
      FMIN = FMIN - NUM*DF                                                      
      FMAX = FMAX + NUM*DF                                                      
      RETURN                                                                    
      END                                                                       
