      SUBROUTINE TICK (NYMD,NHMS,NDT,N)
C***********************************************************************
C  PURPOSE
C     UPDATES TIME INFORMATION
C  ARGUMENTS   DESCRIPTION
C     NYMD ...... CURRENT YYMMDD
C     NHMS ...... CURRENT HHMMSS
C     NDT ....... TIME-STEP
C     N ......... CURRENT TIME-INDEX
C
C***********************************************************************
C*                  GODDARD LABORATORY FOR ATMOSPHERES                 *
C***********************************************************************

      NXTMOD(N,M) = MOD(N,M) + 1
       NSECF(N)   = N/10000*3600 + MOD(N,10000)/100* 60 + MOD(N,100)
       NHMSF(N)   = N/3600*10000 + MOD(N,3600 )/ 60*100 + MOD(N, 60)

C **********************************************************************
C ****                    UPDATE TIME INFORMATION                   ****
C **********************************************************************

      IF(NDT.NE.0) THEN
      N    = NXTMOD (N,2)
      NSEC = NSECF(NHMS) + NDT

      IF (NSEC.GT.86400)  THEN
      DO WHILE (NSEC.GT.86400)
      NSEC = NSEC - 86400
      NYMD = INCYMD (NYMD,1)
      ENDDO
      ENDIF   
               
      IF (NSEC.EQ.86400)  THEN
      NSEC = 0
      NYMD = INCYMD (NYMD,1)
      ENDIF   
               
      IF (NSEC.LT.00000)  THEN
      DO WHILE (NSEC.LT.0)
      NSEC = 86400 + NSEC
      NYMD = INCYMD (NYMD,-1)
      ENDDO
      ENDIF   
               
      NHMS = NHMSF (NSEC)
      ENDIF   
      RETURN  
      END    
