      SUBROUTINE ZMEAN (Q,QBAR,IMAX,JMAX,DT)                                    
#include <vrslv.com>                                                            
      PARAMETER ( ZERO = 0.0 )                                                  
      DIMENSION      Q(IMAX,JMAX)                                               
      REAL        QBAR(JMAX), SUM                                               
      REAL        QTMP(JMR+1), QFULL(IMR)                                       
C                                                                               
C *********************************************************                     
C ****          CALCULATE ZONAL MEAN                   ****                     
C *********************************************************                     
C                                                                               
      DO 10 J=1,JMAX                                                            
      SUM = ZERO                                                                
      DO 20 I=1,IMR                                                             
      QFULL(I) = Q(I,J)                                                         
           SUM = SUM + QFULL(I)                                                 
   20 CONTINUE                                                                  
      QTMP(J)  = SUM / IMR                                                      
      QBAR(J)  = QBAR(J) + QTMP(J)*DT                                           
   10 CONTINUE                                                                  
C                                                                               
      RETURN                                                                    
      END                                                                       
