      SUBROUTINE atocset (n)                                            
C***********************************************************************
C  PURPOSE                                                              
C     Converts A-Grid data to C-Grid data                               
C  ARGUMENTS   DESCRIPTION                                              
C     N ........ Current Time Index                                     
C                                                                       
C***********************************************************************
C*                  GODDARD LABORATORY FOR ATMOSPHERES                 *
C***********************************************************************
                                                                        
#include <vrslv.com>                                                    
#include <vstate.com>                                                   
                                                                        
C **********************************************************************
C ****                      CONVERT TO C-GRID                       ****
C **********************************************************************
                                                                        
      call atoc ( pz(1,1,  n), pz(1,1,  n), imr,jmr+1,1    ,0 )         
      call atoc ( uz(1,1,1,n), uz(1,1,1,n), imr,jmr+1,nlayr,1 )         
      call atoc ( vz(1,1,1,n), vz(1,1,1,n), imr,jmr+1,nlayr,2 )         
      call atoc ( tz(1,1,1,n), tz(1,1,1,n), imr,jmr+1,nlayr,0 )         
      call atoc ( qz(1,1,1,n), qz(1,1,1,n), imr,jmr+1,nlayr,0 )         
      call atoc ( pkht(1,1,1), pkht(1,1,1), imr,jmr+1,nlayr,0 )         
                                                                        
      return                                                            
      end                                                               
