      subroutine dd_write_cont(dd_unit_temp, dd_dsn,
     .                    dd_unit, grads_dsn, title, rmiss, im, jnp, 
     .                    nplevs_kept, plevs_kept, 
     .                    first_date, first_time, inchms, ntimes,
     .                    nvars_kept, kept_var, level_var, descr_var,
     .                    template)

      real plevs_kept(nplevs_kept)
      integer level_var(nvars_kept)
      integer nvars_kept
      integer nplevs_kept
      integer ntimes
      integer ntimes_old
      integer ntimes_new
      integer dd_unit
      integer dd_unit_temp
      integer first_date
      integer first_time
      integer read_status
      integer trulen
      character*8 kept_var(nvars_kept)
      character*40 title
      character*80 grads_dsn
      character*80 dd_dsn
      character*40 descr_var(nvars_kept)
      character*80 line, line2
      logical template
      logical eof

      ncddsn=trulen(dd_dsn)

      open(dd_unit_temp,file=dd_dsn(1:ncddsn)//'.TEMP',form='formatted')

      eof=.false.

      do while ( .not. eof )

         read(dd_unit,'(a80)',iostat=read_status) line

         eof=read_status.ne.0

         if ( .not. eof ) then

            if ( line(1:4) .eq. 'TDEF' ) then

               read(line,'(5x,i4)') ntimes_old
               ntimes_new=ntimes+ntimes_old
               write(line2,'(a5,i4,a71)') 'TDEF ', ntimes_new, line(10:)
               line=line2

            end if

            write(dd_unit_temp,'(a80)') line

         end if

      end do

      close(dd_unit)
      close(dd_unit_temp)
      call rmif(dd_dsn)
      call mvif(dd_dsn(1:ncddsn)//'.TEMP',dd_dsn)

      open(dd_unit,file=dd_dsn,form='formatted')

      end
