      SUBROUTINE PHXHDR(                                                
     &      LU_PHNX, NYMD, NHMS, LOG8R, IM, JNP,                        
     &      NUM_UA_LEVELS, UA_LEVELS, JOB, EXPERIMENT_DESCR,            
     &      NUM_SFC_FIELDS, NUM_UA_FIELDS, NUM_DIAG_FIELDS,             
     &      SFC_NAME, SFC_DESCR,                                        
     &      UA_FIELD_NAME, UA_FIELD_DESCR,                              
     &      DIAG_FIELD_NAME, DIAG_FIELD_DESCR, NUM_LEV_DIAG, 
     &      rmiss, IERR )     
C                                                                       
      REAL      SIGMA_EDGE(50), UA_LEVELS(50),                          
     &          REAL_HEADER(100), MODEL_TOP_PRES                        
                                                                        
      INTEGER   INT_HEADER(100), NUM_LEV_DIAG(100)                      
                                                                        
      CHARACTER*8   SFC_NAME(100), UA_FIELD_NAME(100),                  
     &              DIAG_FIELD_NAME(100), CHAR_HEADER(100),             
     &              JOB                                                 
                                                                        
      CHARACTER*40  SFC_DESCR(100), UA_FIELD_DESCR(100),                
     &              DIAG_FIELD_DESCR(100), HEADER_DESCR(100)            
      CHARACTER*80  EXPERIMENT_DESCR                                    
                                                                        
      READ(UNIT=iabs(LU_PHNX),END=901,ERR=902)                                
     &         JOB, NYMD, NHMS, NYMD0, NHMS0, EXPERIMENT_DESCR, IM,     
     &         JNP, NUM_SFC_FIELDS, NUM_UA_FIELDS, NUM_DIAG_FIELDS,     
     &         MODEL_TOP_PRES, NUM_UA_LEVELS,                           
     &         ( UA_LEVELS(I),I = 1,NUM_UA_LEVELS ),NUM_MODEL_LEVELS,   
     &         ( SIGMA_EDGE(I),I = 1,NUM_MODEL_LEVELS+1 ), NUM_HDR_VARS,
     &         (  HEADER_DESCR(I),                                      
     &            INT_HEADER(I),                                        
     &            REAL_HEADER(I),                                       
     &            CHAR_HEADER(I), I = 1,NUM_HDR_VARS )                  
                                                                        
      READ(iabs(LU_PHNX))                                                     
     &         ( SFC_NAME(I), SFC_DESCR(I),                ! <--SURFACE 
     &                             I = 1,NUM_SFC_FIELDS ), !            
     &         ( UA_FIELD_NAME(I), UA_FIELD_DESCR(I),      ! <--UPPER   
     &                             I = 1,NUM_UA_FIELDS ),  !     AIR    
     &                                                     !            
     &         ( DIAG_FIELD_NAME(I), DIAG_FIELD_DESCR(I),  ! <--DIAG    
     &            NUM_LEV_DIAG(I), I = 1,NUM_DIAG_FIELDS ) !            
C                                                                       
      if (NUM_HDR_VARS.ge.1) then
         LOG8R=INT_HEADER(1)                                               
      else
         log8r=-999
      end if 
C                                                                       
      if (NUM_HDR_VARS.ge.2) then
         rmiss=REAL_HEADER(2)                                               
      else
         rmiss=1.e10
      end if 
C                                                                       
      IERR=0                                                            
      RETURN                                                            
                                                                        
  901 IERR=1                                                            
      RETURN                                                            
                                                                        
  902 IERR=2                                                            
      RETURN                                                            
                                                                        
      END                                                               
