      SUBROUTINE DIAGMVP ( ANLYINC, RHSSAVE, SAVEINC, WGTSAVE, 
     $                     delsave, RANK, 
     $                     rlat_save, rlon_save, rlev_save,
     $                     n_dump_this_call,
     $                     max_np,  max_nq,  ns,      maxrank, 
     $                     ns_dump, nh_dump, nv_dump, NQ )              
                                                                                
C  DIAGNOSTIC PRINT OF SELECTED GRID POINTS FROM THE CURRENT BATCH
                                                                                
                                                                                
      real              ANLYINC(max_np,max_nq)
      real              RHSSAVE(max_np,MAXRANK,max_nq)
      real              SAVEINC(max_np,MAXRANK,max_nq)
      real              WGTSAVE(max_np,MAXRANK,max_nq)
      real              delsave(max_np,maxrank)
      INTEGER           L                                                       
      INTEGER           MAXRANK                                                 
      INTEGER           NNP                                                     
      INTEGER           NNQ                                                     
      INTEGER           NNR                                                     
      INTEGER           NQ                                                      
      INTEGER           NS                                                      
      DIMENSION         RANK(NS)                                                
      integer           ns_dump(max_np)
      integer           nh_dump(max_np)
      integer           nv_dump(max_np)
      real              rlat_save(max_np)
      real              rlon_save(max_np)
      real              rlev_save(max_np)
                                                                                
      DO 500 NNP = 1, n_dump_this_call                                          
         WRITE(6,900)
  900    FORMAT(' DIAGMVP:')
         WRITE(6,910) rlat_save(nnp), rlon_save(nnp), rlev_save(nnp)
  910    FORMAT(' DIAGMVP: Diagnostic print at lat:',f7.1,2x,'lon:',
     $          f7.1,2x,'level:',f8.1,' mb')
         WRITE(6,900)
         write(6,911) ns_dump(nnp), nh_dump(nnp), nv_dump(nnp)
  911    format(' DIAGMVP: Stack location:',i6,2x,'Location inside',
     $          ' mini-volume: nh:',i4,2x,'nv:',i4)
         write(6,920)
  920    FORMAT(' DIAGMVP:',5X,'INDEX',5X,'DELTA',
     $          5X,'Z RHS',5X,'Z WTS',5X,'Z INC',
     $          5X,'U RHS',5X,'U WTS',5X,'U INC',
     $          5X,'V RHS',5X,'V WTS',5X,'V INC',/)
         L = RANK(ns_dump(NNP)) + 0.1                                          
         WRITE(6,900)                                                        
         DO 300 NNR = 1, L                                                   
            WRITE(6,930) NNR, delsave(NNP,NNR),
     $                ( RHSSAVE(NNP,NNR,NNQ),                        
     $                  WGTSAVE(NNP,NNR,NNQ),                        
     $                  SAVEINC(NNP,NNR,NNQ), NNQ = 1, NQ )          
  930       FORMAT(' DIAGMVP:',I10,F10.2,3(F10.2,F10.4,F10.2))
  300    CONTINUE                                                            
         WRITE(6,900)
         WRITE(6,940) ( ANLYINC(NNP,NNQ), NNQ = 1, NQ )
  940    FORMAT(' DIAGMVP: TOTAL INC',10X,3(20X,F10.2))
  500 CONTINUE                                                                  
      WRITE(6,900)                                                              

      RETURN                                                                    
      END                                                                       
