      SUBROUTINE PSIGLEV( PREF, SIGE, PTOP, PMIDSIG, PEDGESIG,          
     .                                               IM, NLAY, JNP )    
                                                                        
C 920218 DJL - Modified to use model definition of mid layer sigma 
C              pressure (Phillip's formula)

                                                                        
      DIMENSION         PREF     (IM,JNP)                               
      DIMENSION         SIGE     (NLAY+1)                               
      REAL              PTOP                                            
      DIMENSION         PMIDSIG  (IM,NLAY,JNP)                          
      DIMENSION         PEDGESIG (IM,NLAY+1,JNP)                        

      real              pkht     (im,jnp,nlay)
      real              pkz      (im,jnp,nlay)
                                                                        
C SIGMA EDGE LAYER PRESSURES                                            
C --------------------------                                            
                                                                        
      DO 200 J=1,JNP                                                    
      DO 200 L=1,NLAY+1                                                 
      DO 200 I=1,IM                                                     
         PEDGESIG(I,L,J)=SIGE(L)*PREF(I,J)+PTOP                         
  200 CONTINUE                                                          
                                                                        
C SIGMA MID LAYER PRESSURES                                             
C -------------------------                                             

      AKAP = GETCON('KAPPA')
      DO  L = 1,NLAY
      do  j = 1,jnp
      DO  I = 1,IM
         PKHT(I,J,L)   =  PEDGESIG(I,L+1,J) ** AKAP
      end do
      end do
      end do
C
      CALL PKAPPA(pref,PKHT,PKZ,IM,JNP,NLAY)
                                                                        
      DO J=1,JNP                                                    
      DO L=1,NLAY                                                   
      DO I=1,IM                                                     
         PMIDSIG(I,L,J)=pkz(i,j,l)**(1./akap)
      end do
      end do
      end do
                                                                        
      RETURN                                                            
      END                                                               
