      subroutine setobse(obserr,mxqobs,nlevoi)
 
      real obserr(mxqobs,4,19)
      integer     obskx
      character*8 obsname
      data input_obselevs /19/
      data maxins / 91 /
 
c  Read and set the observation errors.
 
      do kx=1,maxins
         read(62,6201) obskx,obsname
 6201    format(1x,i5,1x,a8)
         do lev = 1, input_obselevs-1
            read(62,6203) ( obserr(kx,itype,lev),itype = 1, 4 )
 6203       format(15x,2x,f6.4,3(2x,f6.2))
         end do
         read(62,6204) ( obserr(kx,itype,input_obselevs),
     .                                            itype = 1, 4 )
 6204    format(15x,4(5x,f3.1))
      end do
 
C  Shift observation error array to order observation errors in the way   
C  that the OI is expecting them - errors in first level of array are 
C  the errors that correspond to the top level of the analysis.  
 
c  Position in the input table at which to start extracting levels.
c  (Note that the last level in the table corresponds to sea level - this 
c  level will not be shifted since the sea level pressure analysis expects 
c  it at the end of the table.)
 
      level_start=input_obselevs-nlevoi
 
      if (level_start.gt.1) then 
 
         do kklev = 1,nlevoi
            do jjtype = 1,4
               do i = 1,mxqobs
                  obserr( i,jjtype,kklev ) = 
     .                    obserr( i,jjtype,level_start+kklev-1 )
               end do
            end do
         end do
 
      end if 
 
      return
      end 
