      SUBROUTINE VCORROE( PRESI, PRESJ, VFACT, VKX, LEN2 )
                                                                        
C  LOOK UP OR INTERPOLATE VERTICAL CORRELATIONS OF OBSERVATION ERRORS      
                                                                        
                                                                        
      REAL              A                                               
      REAL              B                                               
      REAL              D                                               
      INTEGER           I                                               
      INTEGER           IP                                              
      INTEGER           J                                               
      INTEGER           JP                                              
      INTEGER           K                                               
      INTEGER           LEN2                                            
      REAL              PI                                              
      REAL              PJ                                              
      DIMENSION         PRESI(LEN2)                                     
      DIMENSION         PRESJ(LEN2)                                     
      DIMENSION         VFACT(LEN2)                                     
      DIMENSION         VKX(LEN2)                                       
      REAL              WTI                                             
      REAL              WTJ                                             
 
      common /oevcortb/ ncorlevs, oe_vcor_table(25*25,4)
                                                                        
C  STATEMENT FUNCTIONS                                                  
      ijdex(i,j) = (j-1)*ncorlevs+i
      A(I,J,K) = oe_vcor_table(ijdex(I,J),K) 
     .           + WTJ * ( oe_vcor_table(ijdex(I,J+1),K) 
     .                   - oe_vcor_table(ijdex(I,J),K) )    
      B(I,J,K) = A(I+1,J,K)                                             
      D(I,J,K) = oe_vcor_table(ijdex(I,J+1),K) 
     .           + (1.0 - oe_vcor_table(ijdex(I,J+1),K)) *                
     .           (1.0 - ABS(WTI-WTJ))                                   
                                                                        
      DO 500 K = 1, LEN2                                                
 
         PI       = PINDX2(PRESI(K))
         IP       = PI + 0.001
         WTI      = PI - IP
         PJ       = PINDX2(PRESJ(K))
         JP       = PJ + 0.001
         WTJ      = PJ - JP
                                                                        
         LP       = INT( VKX(K) + .001)                                 
                                                                        
         IF( IP.EQ.JP ) THEN                                            
            VFACT(K) = D(IP,JP,LP)                                      
         ELSE                                                           
            VFACT(K) = A(IP,JP,LP) + WTI * ( B(IP,JP,LP) - A(IP,JP,LP)) 
         ENDIF                                                          
 
  500 CONTINUE                                                          
                                                                        
      RETURN                                                            
      END                                                               
