      SUBROUTINE SLP2HGT(DP,PSL,T,NOBS,XKX,XLAT,XLON,TYPE,              
     .                            NZE ,ZE,ZELAT,ZELON )                 
                                                                        
      COMMON /GRIDXX/   IM, JNP, MLEV                                   
      DIMENSION DP(IM*JNP,MLEV+1),PSL(IM*JNP),T(IM*JNP,MLEV)            
      DIMENSION XKX(NOBS),XLAT(NOBS),XLON(NOBS),TYPE(NOBS)              
      DIMENSION ZE(20000),ZELAT(20000),ZELON(20000)                     
C                                                                       
C TEMPORARY STORAGE                                                     
C                                                                       
!gvl      DIMENSION DPOBS (NOBS), PSLOBS (NOBS), T1000 (NOBS)               
      DIMENSION DPOBS (150000), PSLOBS (150000), T1000 (150000)               
                                                                        
      R = 287.                                                          
      G = 9.81                                                          
                                                                        
      PRINT *,' SLP2HGT : NZE = ',NZE                                   
                                                                        
      CALL TERPV( XLAT, XLON, DPOBS,  NOBS, DP(1,MLEV+1))               
      CALL TERPV( XLAT, XLON, PSLOBS, NOBS, PSL)                        
      CALL TERPV( XLAT, XLON, T1000 , NOBS, T(1,MLEV))                  
                                                                        
      DO 12 I = 1,NOBS                                                  
        IF(ABS(XKX(I)- 28.0).LT..01.AND.TYPE(I).GT.1.0) THEN            
           NZE = NZE + 1                                                
           ZE(NZE) = (R*T1000(I)/G)*((1000./PSLOBS(I))*                 
     .                            (DPOBS(I)/PSLOBS(I)) )                
           ZELAT(NZE) = XLAT(I)                                         
           ZELON(NZE) = XLON(I)                                         
        END IF                                                          
        IF ( NZE .eq. 20000 ) THEN                                      
          PRINT*, ' SLP2HGT: NZE MIGHT EXCEED 20000. stop here. ' 
          go to 14
        END IF                                                          
                                                                        
 12   CONTINUE                                                          
                                                                        
 14   PRINT *,' SLP2HGT : NEW NZE = ',NZE                               
      RETURN                                                            
      END                                                               
