


      SUBROUTINE PAR_INIT 

#include <parenv.h>

#if defined(PARALLEL)
#include <mpif.h>

      call MPI_init(0)
      call mpi_comm_rank(MPI_COMM_WORLD, rank,       mpi_err)
      call mpi_comm_size(MPI_COMM_WORLD, processors, mpi_err)
#else
      rank = 0
      processors =0
#endif
      END 


      SUBROUTINE PAR_EXIT
#include <parenv.h>
#if defined(PARALLEL)
#include <mpif.h>
      call mpi_barrier (MPI_COMM_WORLD, mpi_err)
      write (0,*) 'Terminate:', rank
      call mpi_finalize(mpi_err)
#endif
      END




