#include <stdio.h>

int valid_volume (int *rank, int *processors, int *decomposition, 
		  int *igp, int *ngv)
{

    switch (*decomposition) {
    case 1: 
	return ((*igp % (*ngv/ (*processors))) == *rank); 
				  break;
    case 2: break;
    }

}

void GetDisplacement (int *displacement, int *elements, int processors)
{
    int p;
    displacement[0] = 0;
    for (p=1; p < processors; p++)
        displacement[p] = displacement[p-1] + elements[p];

}



int GetNoElements (int p, int n, int rank) 
{
    int no   = n/p;
    int rest = n%p;
    
    if (rank < rest){
        no++;
    }
    return no;
}

void block_distribution (int *rank, int *processors,
			 int *n,
			 int *displacement,
			 int *a_length) {

  int i;
  for (i=0; i < *processors; i++) {
    a_length[i] = GetNoElements (*processors, *n, i);
  }
  GetDisplacement (displacement, a_length, *processors);

/*
  for (i=0; i < *processors; i++) {
    fprintf (stderr, "%d: [%d] ... [%d]\n",i,displacement[i],a_length[i] );
  }
*/
}

/*

main(){

  int n,p,rank;
  int d[512];
  int l[512];

  n = 909;
  p = 8;
  
  for (rank=0; rank < p; rank++) {
    block_distribution (&rank,&p,&n,d,l);
  }

}

*/
