 
      subroutine vcorr0(presi,presj,vfact,len2,corr,ncorlevs)
 
C  LOOK UP OR INTERPOLATE VERTICAL CORRELATIONS OF FORECAST ERRORS
 
 
      REAL              A
      REAL              B
      real              corr(ncorlevs,ncorlevs)
      REAL              D
      INTEGER           I
      INTEGER           IP
      INTEGER           J
      INTEGER           JP
      INTEGER           K
      INTEGER           LEN2
      REAL              PI
      REAL              PJ
      DIMENSION         PRESI(LEN2)
      DIMENSION         PRESJ(LEN2)
      DIMENSION         VFACT(LEN2)
      REAL              WTI
      REAL              WTJ
 
C  STATEMENT FUNCTIONS
      A(I,J) = CORR(I,J) + WTJ * ( CORR(I,J+1) - CORR(I,J) )
      B(I,J) = A(I+1,J)
      D(I,J) = CORR(I,J+1) + (1.0 - CORR(I,J+1)) * (1.0 - ABS(WTI-WTJ))
 
      DO 500 K = 1, LEN2
         PI       = PINDX2(PRESI(K))
         IP       = PI + 0.001
         WTI      = PI - IP
         PJ       = PINDX2(PRESJ(K))
         JP       = PJ + 0.001
         WTJ      = PJ - JP
         IF( IP.EQ.JP ) THEN
            VFACT(K) = D(IP,JP)
         ELSE
            VFACT(K) = A(IP,JP) + WTI * ( B(IP,JP) - A(IP,JP) )
         ENDIF
  500 CONTINUE
 
      RETURN
      END
