!
!  Gregor von Laszewski, 12/95 Changed to compile on RS6000 using xlf
!                      made observations variable in max_observations

       subroutine offlvl ( data, nobs )
 
c  This subroutine corrects the type flag in the data array for
c  inclusion of off-level (significant) data.
 
      real   data(*), kx, pres
!gvl  real mandp18(18)
  
      character*8 dataname
      character*24 obsname
      logical qobs,offlev, found, onestage
 
      common /dataptrs/ ikx,ilat,ilon,iprs,ityp,idel,ifcer,itime
      common /gridxx/ im,jnp,mlev
      common /scan/   maxobs, rscan, onestage, max_data
      common /pmh/    pmand(18)
 
      common / obs / maxdex, nfgge, lun, dataname(5), hh(13,13,20),
     &               vcoroe(18,18,4), obserr(200,4,19), ww(13,13,20),
     &               obsname(200), qobs(200,5), offlev(200)
 
 
      do i = 1,nobs
 
        found = .false.
        kx = data(ikx+i-1)
        pres = data(iprs+i-1)
 
c  Scan for observations on mandatory levels.
 
        do j = 1,mlev
 
          if ( abs(pres-pmand(j)) .lt. .001 ) found = .true.
 
        end do
 
c  If the observation is not on a mandatory level, check "offlev" for
c  permission to use it.
 
        if ( .not. found .and. .not. offlev(int(kx))) then
 
          data ( ityp+i-1 ) = 0.
 
        end if

 
      end do
 
      return
      end
