!
!  Gregor von Laszewski, 12/95 Changed to compile on RS6000 using xlf
! 
      SUBROUTINE OIPOST( PHIS, tvsfc_oi, psl_oi, usl_inc, vsl_inc,
     .                   u_inc, v_inc, tv_inc, rmix_inc,
     .                   PMAND,PMIDM,
     .                   PS, PS2, U, U2, V, V2, T, T2, SH, SH2,
     .                   SIGE,RWATER,PTOP,PKHT,IM,JNP,NLAY,NLEVOI,
     .                   QBUDGET,ZANALP,ZANALU,ZANALV,ZANALT,ZANALQ,
     .                           zdpdt ,zdpudt,zdpvdt,zdptdt,zdpqdt,
     .                   dsig)
 
      DIMENSION PHIS(IM,JNP)
      dimension tvsfc_oi(IM,JNP)
      DIMENSION psl_oi(IM,JNP)
      dimension usl_inc(IM,JNP)
      dimension vsl_inc(IM,JNP)
      dimension u_inc(IM,JNP,NLEVOI)
      dimension v_inc(IM,JNP,NLEVOI)
      dimension tv_inc(IM,JNP,NLEVOI)
      dimension rmix_inc(IM,JNP,NLEVOI)
      DIMENSION PMAND(NLEVOI)
      dimension PMIDM(NLEVOI)
 
      DIMENSION PS(IM,JNP),
     .          U(IM,JNP,NLAY), V(IM,JNP,NLAY),
     .          T(IM,JNP,NLAY), SH(IM,JNP,NLAY)
C
      DIMENSION PS2(IM,JNP),
     .          U2(IM,JNP,NLAY), V2(IM,JNP,NLAY),
     .          T2(IM,JNP,NLAY), SH2(IM,JNP,NLAY)
 
      dimension SIGE(nlay+1)
      dimension RWATER(1)
      DIMENSION PKHT(IM,JNP,NLAY)
 
      DIMENSION ZANALP(JNP),ZANALU(JNP,NLAY),ZANALV(JNP,NLAY)
      DIMENSION ZANALT(JNP,NLAY),ZANALQ(JNP,NLAY)
      dimension zdpdt(jnp), zdpudt(jnp,nlay), zdpvdt(jnp,nlay)
      dimension zdptdt(jnp,nlay), zdpqdt(jnp,nlay)
      LOGICAL   QBUDGET
 
C
      dimension dsig(nlay) 
      INTEGER IWATER(13104)
 
!gvl  INTEGER IMANDA, IMMANDA, IMMPNTAS, iMMPNTBS,
!gvl .        IMPNTAS, IMPNTBS, IMPNTBSW, LONINDEX
C
C*******************************************************************
C
C             CONVERT LAND & WATER FLAG FROM REAL TO INTEGER
C
        DO 10 I = 1,13104
           IWATER(I) = RWATER(I) + 10E-05
   10   CONTINUE
C
C              SAVE THE FIRST GUESS FIELDS TO COMPUTE BUDGETS
C
         IF (QBUDGET) THEN
 
            DO 20 I = 1,IM*JNP
                PS2(I,1) = PS(I,1)
   20       CONTINUE
C
            DO  40 K  = 1,NLAY
                  DO 25 I = 1,IM*JNP
                    U2(I,1,K) =  U(I,1,K)
                    V2(I,1,K) =  V(I,1,K)
                    T2(I,1,K) =  T(I,1,K)
                    SH2(I,1,K) = SH(I,1,K)
   25             CONTINUE
   40       CONTINUE
 
         end if
C
       CALL  PTSDRV ( PHIS, tvsfc_oi, psl_oi, usl_inc, vsl_inc,
     .                u_inc, v_inc, tv_inc, rmix_inc,
     .                PMAND,PMIDM,
     .                PS,U,V,T,SH,dsig,
     .                SIGE,pkht,IWATER,PTOP,IM,JNP,NLAY,NLEVOI)
C
C            COMPUTE BUDGETS FOR SURFACE PRESSURE AND UPPER AIR
C            FIELDS
C
         IF(QBUDGET) THEN
            CALL CMPBUDGT(PS,PS2,U ,U2 ,IM,JNP,NLAY,ZANALU,zdpudt)
            CALL CMPBUDGT(PS,PS2,V ,V2 ,IM,JNP,NLAY,ZANALV,zdpvdt)
            CALL CMPBUDGT(PS,PS2,T ,T2 ,IM,JNP,NLAY,ZANALT,zdptdt)
            CALL CMPBUDGT(PS,PS2,SH,SH2,IM,JNP,NLAY,ZANALQ,zdpqdt)
            CALL CPSBUDGT(PS,PS2,IM,JNP,ZANALP,zdpdt)
         ENDIF
C
         RETURN
         END
