

 
      SUBROUTINE PRPTLY
 
C  PRINT A REPORT OF THE NUMBER AND TYPE OF OBSERVTIONS READ
 
 
      INTEGER           MXQOBS
      PARAMETER       ( MXQOBS = 200 )
 
      INTEGER           K
      INTEGER           L
      LOGICAL           STRAT,   SLP,     FDCOS,   FEXP,    SAVEAE,
     $                  SIGDAT
      character*6       time_temp, analysis_time
      CHARACTER*8       DATANAME, date_temp
      character*10      analysis_date
      character*24      obsname
      character*44      alldata
      LOGICAL           QOBS, OFFLEV
 
      COMMON /CONTRL/   IM,      JNP,     NB,      NDALT,   NHMS,
     $                  NLAY,    NLAYM1,  NLAYP1,  NYMD,    STRAT,
     $                  IDIMEN,  SLP,     FDCOS,   FEXP,    SAVEAE,
     $                  SIGDAT,  MAXREP
 
      COMMON /DATTAB/   NOBS(MXQOBS,5)
 
      COMMON /OBS/      MAXDEX, NFGGE, LUN, DATANAME(5), HH(13,13,20),
     $                  VCOROE(18,18,4), OBSERR(MXQOBS,4,19),
     $                  WW(13,13,20),
     $                  OBSNAME(MXQOBS), QOBS(MXQOBS,5), OFFLEV(MXQOBS)
 
      write(alldata,'(44(" "))')
 
C  PRINT HEADING
 
      if ( nymd .gt. 500000 ) write (date_temp,'("19",i6)') nymd
      if ( nymd .le. 500000 ) write (date_temp,'("20",i6)') nymd
      analysis_date = date_temp(5:6) // '-' // date_temp(7:8) // '-'
     &                // date_temp(1:4)
      write (time_temp,'(bz,i6)') nhms
      analysis_time = time_temp(1:2) // ':' // time_temp(3:4) // 'Z'
      if ( nhms .eq. 0 )  analysis_time = ' 0:00Z'

      write(6,'(//,t40,"--- DATA TYPE SUMMARY ",2i8," ---",/
     &     ,t20," NOTE: Tally includes only observations used in",
     &     " analysis.",/)') nymd, nhms
      WRITE(6,1000)
 
 
      do k = 1,maxdex
        if ( qobs(k,1) ) alldata(1:8)   = dataname(1)
        if ( qobs(k,2) ) alldata(10:17) = dataname(2)
        if ( qobs(k,3) ) alldata(19:26) = dataname(3)
        if ( qobs(k,4) ) alldata(28:35) = dataname(4)
        if ( qobs(k,5) ) alldata(37:44) = dataname(5)
      end do
 
      do k = 1,maxdex
        write(6,'(t5,a24,t31,i7,t41,i7,t51,i7,t61,i7,t71,i7
     &        )' ) obsname(k), (nobs(k,l),l = 1,5)
      end do
      return
 
 
1000  format(t5,'Data',t31,'Surface',t41,'Surface',t64,
     &  'Upper Air',
     &  /,t5,'Type',t30,'Pressure',t42,'Wind',t50,
     &  'Humidity',t62,
     &  'Height',t73,'Wind',/,t5,'----',t14,
     &  '--------',t26,'----',t34,'--------',
     &  t46,'------',t57,
     &  '----')
 
 
      end
