                                                                        
                                                                        
                                                                        
             REAL FUNCTION  SATKX (ST, ALONG)                           
C                                                                       
C  *******************************************************              
C  SATKX RETURN  KX (AS REAL) FOR SATELLITE DATA                        
C     AS A FUNCTION OF STATION_ID AND LONGITUDE (FOR VISCONSIN)         
C     -------------------------------------------------                 
C    | KX   |STATION ID STARTS |  DATA DESCRIPTON                       
C    |      | WITH A LETTER    |                                        
C    |-------------------------------------------------                 
C    | 24.0 |     A            |  NESS EAST                             
C    | 25.0 |     B            |  NEST WEST                             
C    | 27.0 |     Y            |  JAPANESE                              
C    | 26.0 |     Z            |  EUROPEAN                              
C    | 22.0 |     I            |  WISCONSIN INDIAN OCEAN                
C    | 23.0 |     J            |  JAPANESE WISCONSIN REPROCESSING       
C    | 19.0 |  K (LONG>255.)   |  WISCONSIN EAST                        
C    | 21.0 |  K (LONG<255.)   |  WISCONSIN WEST                        
C     -------------------------------------------------                 
C                                                                       
C     KXSAT RETURNS  KX=0.   FOR THE REST                               
C  *******************************************************              
       CHARACTER * 6   ST                                               
          SATKX  = 0.0                                                  
         IF (INDEX(ST,'A').GT.0)       SATKX = 24.0                     
         IF (INDEX(ST,'B').EQ.1)       SATKX = 25.0                     
         IF (INDEX(ST,'Y').EQ.1)       SATKX = 27.0                     
         IF (INDEX(ST,'Z').EQ.1)       SATKX = 26.0                     
         IF (INDEX(ST,'I').EQ.1)       SATKX = 22.0                     
         IF (INDEX(ST,'J').EQ.1)       SATKX = 23.0                     
         IF (INDEX(ST,'K').EQ.1.AND.ALONG.GT.-105.0) SATKX=19.0         
         IF (INDEX(ST,'K').EQ.1.AND.ALONG.LE.-105.0) SATKX=21.0         
            RETURN                                                      
         END                                                            
