!     Gregor von Laszewski
!     Northeast Parallel Architectures Center
!     Syracuse NY
!     1995
!     ------------------------------------------------------------
!     ------------------------------------------------------------
      subroutine wr1d (unit, name, a, n)

      implicit none

      integer unit
      character*8 name
      integer n
      real a(*)


      integer i

      write (unit) name(1:8)
      write (unit) 1
      write (unit) n
      do i=1,n
         write (unit) a(i)
      end do
      end
!     ------------------------------------------------------------
      subroutine read1d (unit, name, a, n)

      implicit none

      integer unit
      character*8 name
      real a(*)
      integer n

      integer i, dimension

      read (unit) name(1:8)
      read (unit) dimension
      read (unit) n
      do i=1,n
         read (unit) a(i)
      end do
      end
!     ------------------------------------------------------------
!     ------------------------------------------------------------




      subroutine wr2d (unit, name, a, n,m)

      implicit none

      integer unit
      character*8 name
      integer n,m
      real a(n,m)


      integer i,j

      write (unit) name(1:8)
      write (unit) 2
      write (unit) n,m
      do i=1,n
         do j=1,m
            write (unit) a(i,j)
         end do
      end do
      end
!     ------------------------------------------------------------
      subroutine read2d (unit, name, a, n,m)

      implicit none

      integer unit
      character*8 name
      integer n,m
      real a(n,m)


      integer i,j,dimension

      read (unit) name(1:8)
      read (unit) dimension
      read (unit) n,m
      do i=1,n
         do j=1,m
            read (unit) a(i,j)
         end do
      end do
      end
!     ------------------------------------------------------------
!     ------------------------------------------------------------
      subroutine wr3d (unit, name, a, n,m,k)

      implicit none

      integer unit
      character*8 name
      integer n,m,k
      real a(n,m,k)


      integer i,j,l

      write (unit) name(1:8)
      write (unit) 3
      write (unit) n,m,k
      do i=1,n
         do j=1,m
            do l=1,k
               write (unit) a(i,j,l)
            end do
         end do
      end do
      end
!     ------------------------------------------------------------
      subroutine read3d (unit, name, a, n,m,k)

      implicit none

      integer unit
      character*8 name
      integer n,m,k
      real a(n,m,k)


      integer i,j,l, dimension

      read (unit) name(1:8)
      read (unit) dimension
      read (unit) n,m,k
      do i=1,n
         do j=1,m
            do l=1,k
               read (unit) a(i,j,l)
            end do
         end do
      end do
      end

!     ------------------------------------------------------------
!     ------------------------------------------------------------
