CCOMDECK PBLPARM                                                                
      PARAMETER ( IJALL   =  IMR * (JMR+1)  )                                   
      PARAMETER ( EGHTNM  =-18.       )                                         
      PARAMETER ( ONENEG  =-1.        )                                         
      PARAMETER ( ZP9NEG  =-0.9       )                                         
      PARAMETER ( ZM1PEM4 =-1.0E-4    )                                         
      PARAMETER ( ZM1PEM7 =-1.0E-7    )                                         
      PARAMETER ( ZERO    =   0.      )                                         
      PARAMETER ( Z1PEM20 = 1.0E-20   )                                         
      PARAMETER ( Z1PEM14 = 1.0E-14   )                                         
      PARAMETER ( Z1PEM8  = 1.0E-8    )                                         
      PARAMETER ( ONEPEM6 = 1.0E-6    )                                         
      PARAMETER ( Z1PEM4  = 1.0E-4    )                                         
      PARAMETER ( Z2PEM3  = 2.0E-3    )                                         
      PARAMETER ( ZP001   = 0.001     )                                         
      PARAMETER ( ZP0065  = 0.0065    )                                         
      PARAMETER ( ZP007   = 0.00732422)                                         
      PARAMETER ( ZP01    = 0.01      )                                         
      PARAMETER ( ZP013   = 0.013     )                                         
      PARAMETER ( ZP03125 = 0.03125   )                                         
      PARAMETER ( ZP08    = 0.08      )                                         
      PARAMETER ( ZP09375 = 0.09375   )                                         
      PARAMETER ( ZP1     = 0.1       )                                         
      PARAMETER ( ZP15    = 0.15      )                                         
      PARAMETER ( ZP2     = 0.2       )                                         
      PARAMETER ( ZP25    = 0.25      )                                         
      PARAMETER ( ZP375   = 0.375     )                                         
      PARAMETER ( ZP386   = 0.386     )                                         
      PARAMETER ( AHALF   = 0.5       )                                         
      PARAMETER ( ZP625   = 0.625     )                                         
      PARAMETER ( ZP82ETC = 0.8203125 )                                         
      PARAMETER ( ONE     =   1.      )                                         
      PARAMETER ( ONEP5   =   1.5     )                                         
      PARAMETER ( TWO     =   2.      )                                         
      PARAMETER ( TWOP3   =   2.3     )                                         
      PARAMETER ( TWOP9   =  2.93262  )                                         
      PARAMETER ( THREE   =   3.      )                                         
      PARAMETER ( FOUR    =   4.      )                                         
      PARAMETER ( FIVE    =   5.      )                                         
      PARAMETER ( FIVEP1  =   5.1     )                                         
      PARAMETER ( SIX     =   6.      )                                         
      PARAMETER ( NINE    =   9.      )                                         
      PARAMETER ( Z9P3    =   9.3     )                                         
      PARAMETER ( TEN     =   10.     )                                         
      PARAMETER ( TWELVE  =   12.     )                                         
      PARAMETER ( FORTN   =   14.     )                                         
      PARAMETER ( TWENTY  =   20.     )                                         
      PARAMETER ( HUNDRD  =   100.    )                                         
      PARAMETER ( Z384P9  =  384.9999 )                                         
      PARAMETER ( Z4186P  =  4186.    )                                         
      PARAMETER ( Z1P78E10=  1.78E10  )                                         
      PARAMETER ( A1      =   0.92    )                                         
      PARAMETER ( A2      =   0.74    )                                         
      PARAMETER ( A4      = SIX * A1 * A1)                                      
      PARAMETER ( C1      =   ZP08    )                                         
      PARAMETER ( A5      = THREE*C1*ONENEG )                                   
      PARAMETER ( A3      = A4 * A5 * ONENEG )                                  
      PARAMETER ( B1      =   16.6    )                                         
      PARAMETER ( B2      =   10.1    )                                         
      PARAMETER ( B3      = ONE / B1  )                                         
      PARAMETER ( FF2     = NINE * A1 * A2 )                                    
      PARAMETER ( FF3     = (THREE*A2*B2) - (NINE*A2*A2 )  )                    
      PARAMETER ( FF4     = (THREE*A2*B2) + (TWELVE*A1*A2 )  )                  
      PARAMETER ( D3      = 0.29397643 )                                        
      PARAMETER ( D4      = 2.6532122E-2 )                                      
      PARAMETER ( E5      = 49.66     )                                         
      PARAMETER ( D1      = D4 * E5   )                                         
      PARAMETER ( CH      = 2.5828674 )                                         
      PARAMETER ( CM      = CH / D1   )                                         
      PARAMETER ( RFC     = 0.1912323 )                                         
      PARAMETER ( RF1     = 0.2340678 )                                         
      PARAMETER ( RF2     = 0.2231172 )                                         
      PARAMETER ( D2      = RF1       )                                         
      PARAMETER ( D3B2    = D3 / RF1  )                                         
      PARAMETER ( RICR    = ( (RF1-RFC)*RFC ) / ( (RF2-RFC)*D1 )  )             
      PARAMETER ( ALPHA   = 0.1       )                                         
      PARAMETER ( DZCNV   = 100.      )                                         
      PARAMETER ( XL0CNV  = DZCNV * ALPHA )                                     
      PARAMETER ( XL0MIN  = 1.        )                                         
      PARAMETER ( CLMT    = 0.23      )                                         
      PARAMETER ( CLMT53  = FIVE * CLMT / THREE )                               
      PARAMETER ( XX0MAX  =   1.49821 )                                         
      PARAMETER ( VK     =  0.4       )                                         
      PARAMETER ( VK2    =  VK * VK   )                                         
      PARAMETER ( RVK    =  ONE / VK  )                                         
      PARAMETER ( PRFAC  = 0.595864   )                                         
      PARAMETER ( XPFAC  = .55        )                                         
      PARAMETER ( DIFFAC  = 0.15E-4   )                                         
      PARAMETER ( DIFSQT  = 3.872983E-3)                                        
      PARAMETER ( QQMIN  = 0.005      )                                         
      PARAMETER ( QBUSTR = 2.550952   )                                         
      PARAMETER ( HALPHA = ALPHA * AHALF )                                      
      PARAMETER ( ZWM     =    ONE    )                                         
      PARAMETER ( RZWM    =  ONE/ZWM  )                                         
      PARAMETER ( Z0M     =    ZP2    )                                         
      PARAMETER ( ZCM     =    42.    )                                         
      PARAMETER ( RZCM    =  ONE/ZCM  )                                         
      PARAMETER ( CM1     =  ONE/126. )                                         
      PARAMETER ( CM2     =  ONE/(SIX*CM1)  )                                   
      PARAMETER ( CM6     =  SIX / ( ONE + SIX*CM1 )  )                         
      PARAMETER ( CM7     =  CM2 + ZWM  )                                       
      PARAMETER ( CM8ARG  =  CM7*ZCM*RZWM / (CM2+ZCM)  )                        
      PARAMETER ( YCM     =  SIX / ( ONE + SIX*CM1*ZCM )  )                     
      PARAMETER ( USTMX1 =   1.14973  )                                         
      PARAMETER ( USTMX2 =   0.381844 )                                         
      PARAMETER ( USTMX3 =   0.0632456)                                         
      PARAMETER ( USTZ0S =   0.2030325E-5)                                      
      PARAMETER ( Z0MIN  =  USTZ0S/USTMX3)                                      
      PARAMETER ( H0BYZ0 =    30.0    )                                         
      PARAMETER ( USTH0S =  H0BYZ0*USTZ0S )                                      
      PARAMETER ( H0VEG  =   0.01     )                                         
      PARAMETER ( Z0VEGM =   0.005    )                                         
      PARAMETER ( BMDL    = VK * XPFAC * PRFAC / DIFSQT )                       
      PARAMETER ( B2UHS   = BMDL * BMDL * USTH0S )
      PARAMETER ( TICE   =   273.16   )                                         
      PARAMETER ( FWET   =   1.0      )                                         
      PARAMETER ( HICE   =   300.     )                                         
      PARAMETER ( FMU    =   0.00067  )                                         
      PARAMETER ( TREF   =   258.     )                                         
      PARAMETER ( PREF   =   500.     )                                         
      PARAMETER ( CTI    =   0.0052   )                                         
      PARAMETER ( ED     =   0.5      )                                         
      PARAMETER ( DELTTRB=   300.     )                                         
      PARAMETER ( D1HALF = AHALF * D1 )                                         
      PARAMETER ( D2HALF = AHALF * D2 )                                         
