      SUBROUTINE CLRANAL                                                    
C***********************************************************************        
C                                                                               
C  PURPOSE                                                                      
C     INITIALIZE ANALYSIS TENDENCIES TO ZERO                                    
C                                                                               
C***********************************************************************        
C*                  GODDARD LABORATORY FOR ATMOSPHERES                 *        
C***********************************************************************        
C                                                                               
#include <vrslv.com>                                                            
#include <iau.com>                                                           
                                                                                
      PARAMETER ( ZERO  = 0.0 )                                                 
      PARAMETER ( IMJMR = IMR*(JMR+1) )                                         
                                                                                
      DO I=1,IMJMR                                                        
      DPANAL(I,1) = ZERO                                         
      ENDDO
      DO L=1,NLAYR
      DO I=1,IMJMR                                                        
      DUANAL(I,1,L) = ZERO                                         
      DVANAL(I,1,L) = ZERO                                         
      DTANAL(I,1,L) = ZERO                                         
      DQANAL(I,1,L) = ZERO                                         
      ENDDO
      ENDDO
                                                                                
      RETURN                                                                    
      END                                                                       
