      FUNCTION GMEAN (Q,IMAX,JMAX)
#include <vrslv.com>
#include <vmetric.com>
      DIMENSION Q(IMAX,JMAX)

      PARAMETER ( ZERO = 0.0 )
      PARAMETER ( FOUR = 4.0 )
      PARAMETER ( IMJMM2R = IMR*(JMR-1) )

C *********************************************************
C ****             CALCULATE GLOBAL MEAN               ****
C *********************************************************

      QSMJ  = ZERO
      DO 10 I=1,IMJMM2R
      QSMJ  = QSMJ + Q(I,2)*COSIJ(I,2)
   10 CONTINUE
      QSMJ  = QSMJ*DL*DP
      GMEAN = QSMJ/(FOUR*PI)

      RETURN
      END
