      SUBROUTINE GRAFIC(F,NAMEF,IMAX,JMAX,IDIM,JDIM,FMIN,FMAX,DF,NX,NY,         
     $K)                                                                        
      PARAMETER ( ONE = 1.0 )                                                   
      CHARACTER*4 NAMEF                                                         
      CHARACTER*1 W(132),SYM(23),BLANK,ASTER,PLUS,DOT,MINUS                     
      DIMENSION F(IDIM,JDIM)                                                    
      EQUIVALENCE (BLANK,SYM(2)),(MINUS,SYM(1)),(PLUS,SYM(22)),                 
     .            (ASTER,SYM(21)),(DOT,SYM(23))                                 
      DATA SYM/ '-',' ','1',' ','2',' ','3',' ','4',' ',                        
     .          '5',' ','6',' ','7',' ','8',' ',                                
     .          '9',' ','*','+','.' /                                           
      FX = NX                                                                   
      FY = NY                                                                   
      IC = 130/NX -1                                                            
  601 FORMAT(1X,132A1)                                                          
      IA = 1                                                                    
  100 IB = IA+IC                                                                
      IF( IB.GT.IMAX ) IB=IMAX                                                  
      WRITE(K,64) IA,IB                                                         
   64 FORMAT(//1X,3HI =,I3,8H  TO I =,I3)                                       
      INDMAX = NX*(IB-IA) + 1                                                   
      IMNX = INDMAX+2                                                           
      DO 70 NI=1,IMNX                                                           
   70 W(NI) = BLANK                                                             
      DO 71 NI=2,IMNX,NX                                                        
   71 W(NI) = DOT                                                               
      WRITE(K,601) (W(NI),NI=1,IMNX)                                            
      LA = 0                                                                    
      L = 2                                                                     
    1 J = JMAX-L+1                                                              
      IY = 0                                                                    
    2 Y1 = IY/FY                                                                
      Y = ONE-Y1                                                                
    3 I = IA                                                                    
   13 IX = 0                                                                    
   14 X = IX/FX                                                                 
      X1 = ONE-X                                                                
      F1 = X1*Y1*F(I,J) + X*Y1*F(I+1,J) + X1*Y*F(I,J+1) + X*Y*F(I+1,J+1)        
      NUM = 1                                                                   
      IF(F1-FMAX) 10,11,11                                                      
   11 W(NX*(I-IA)+1+IX) = PLUS                                                  
   12 IX = IX+1                                                                 
      IF( IX.LT.NX ) GO TO 14                                                   
      I = I+1                                                                   
      IF( I.LT.IB ) GO TO 13                                                    
      GO TO 41                                                                  
   10 IF( F1-FMIN ) 20,21,21                                                    
   20 W(NX*(I-IA)+1+IX) = SYM(NUM)                                              
      GO TO 12                                                                  
   21 F1 = F1-DF                                                                
      IF( NUM.LE.20 ) NUM = NUM+1                                               
      GO TO 10                                                                  
   41 W(INDMAX) = BLANK                                                         
      IF(IY) 42,42,43                                                           
   42 WRITE(K,601) DOT,(W(NI),NI=1,INDMAX),DOT                                  
      IF(LA) 44,44,47                                                           
   43 IF(NY.GT.1) WRITE(K,601) BLANK,(W(NI),NI=1,INDMAX)                        
      IF( IY.GE.(NY-1) ) GO TO 45                                               
   44 IY = IY+1                                                                 
      GO TO 2                                                                   
   45 L = L+1                                                                   
      IF(L-JMAX-1) 1,46,46                                                      
   46 LA = 1                                                                    
      J = 1                                                                     
      IY = 0                                                                    
      Y1 = 1.0                                                                  
      Y = 0.0                                                                   
      GO TO 3                                                                   
   47 DO 72 NI=1,IMNX                                                           
   72 W(NI) = BLANK                                                             
      DO 73 NI=2,IMNX,NX                                                        
   73 W(NI) = DOT                                                               
      WRITE(K,601) (W(NI),NI=1,IMNX)                                            
      IA = IB+1                                                                 
      IF( IA.LE.IMAX ) GO TO 100                                                
      WRITE(K,605) FMIN,FMAX,DF                                                 
  605 FORMAT(////,1X,13HLOWER LIMIT =,G11.4,5X,13HUPPER LIMIT =,G11.4,          
     $       5X,10HINTERVAL =,G11.4,/'1')                                       
      RETURN                                                                    
      END                                                                       
