      SUBROUTINE HARM (F,FNAME,L,IM)                                            
C                                                                               
      PARAMETER ( FOUR  = 4.0 )                                                 
      PARAMETER ( ONE   = 1.0 )                                                 
      PARAMETER ( AHALF = 0.5 )                                                 
      PARAMETER ( ZERO  = 0.0 )                                                 
      PARAMETER ( P001  = 0.001 )                                               
      DIMENSION IFAX (100)                                                       
      REAL      TRIGS(3*(IM+1))                                                
C                                                                               
      DIMENSION   F(IM), FZ(IM+2), C(2*(IM+2))                                    
      CHARACTER*4 FNAME                                                         
C                                                                               
      PI   = FOUR * ATAN(ONE)                                                   
      PID2 = PI   * AHALF                                                       
      CALL FFTFAX (IM,IFAX,TRIGS)                                               
      WRITE(6,100) FNAME, L                                                     
C                                                                               
      DO 10 I=1,IM                                                             
      FZ(I) = F(I)                                                              
   10 CONTINUE                                                                  
                                                                                
      CALL RFFTMLT (FZ,C,TRIGS,IFAX,1 ,IM+2,IM,1,-1)                           
C                                                                               
      DO 20 I=1,IM+2                                                           
      C(I) = FZ(I)                                                              
   20 CONTINUE                                                                  
C                                                                               
      WRITE(6,200) C(1)                                                         
      WRITE(6,300)                                                              
      KM  = IM/2                                                                
      KM1 = IM/2-1                                                              
      DO 30 K=1,KM1                                                             
      SIZE = FLOAT(IM)/FLOAT(K)                                                 
      K2   =  2*K+1                                                             
      AK   =  2*C(K2)                                                           
      BK   = -2*C(K2+1)                                                         
      AMPL = SQRT( AK**2 + BK**2 )                                              
C                                                                               
      IF(AK.EQ.ZERO) TEMP = PID2 - ( ONE - SIGN(ONE,BK) )*PID2                  
      IF(AK.NE.ZERO)                                                            
     .TEMP = ATAN(BK/AK)                                                        
     .     + SIGN(ONE,BK) * (ONE-SIGN(ONE,AK)) * PID2                           
C                                                                               
                            PHAZ = -TEMP                                        
      IF( AMPL.LT.P001) PHAZ =  ZERO                                            
      WRITE(6,400) K,SIZE,AK,BK,AMPL,PHAZ                                       
   30 CONTINUE                                                                  
C                                                                               
      AK   =  C(IM+1)                                                         
      BK   =  ZERO                                                              
      PHAZ = -(ONE-SIGN(ONE,AK)) * PID2                                         
      AMPL = ABS(AK)                                                            
C                                                                               
      IF( AMPL.LT.P001) PHAZ =  ZERO                                            
      SIZE = FLOAT(IM)/FLOAT(KM)                                                
      WRITE(6,400) KM,SIZE,AK,BK,AMPL,PHAZ                                      
C                                                                               
  100 FORMAT(//5X,'HARMONIC ANALYSIS FOR ',A4,' FIELD,  LEVEL = ',I2)           
  200 FORMAT(/1X,'MEAN VALUE:',2X,F13.4)                                        
  300 FORMAT(/1X,'WAVENUMBER',3X,'WAVELENGTH',                                  
     $ 6X,' COS ',7X,' SIN ',7X,' AMPL ',5X,' PHASE ')                          
  400 FORMAT(4X,I3,6X,F8.1,6X,F9.3,3X,F9.3,3X,F9.3,3X,F9.3)                     
      RETURN                                                                    
      END                                                                       
