      FUNCTION MODHMS (NHMS, MHMS)                                              
C***********************************************************************        
C  PURPOSE                                                                      
C     TIME SINCE LAST INCREMENT TIME OCCURRED IN SECONDS                        
C  ARGUMENTS   DESCRIPTION                                                      
C     NHMS     CURRENT   TIME IN HHMMSS FORMAT                                  
C     MHMS     INCREMENT TIME IN HHMMSS FORMAT                                  
C                                                                               
C***********************************************************************        
C*                  GODDARD LABORATORY FOR ATMOSPHERES                 *        
C***********************************************************************        
C                                                                               
      NSECF(N) = N/10000*3600 + MOD(N,10000)/100* 60 + MOD(N,100)               
C                                                                               
      MSEC   = NSECF(NHMS)                                                      
      IF (MHMS.GT.0)  MSEC = MOD(MSEC,NSECF(MHMS))                              
      MODHMS = MSEC                                                             
C                                                                               
      RETURN                                                                    
      END                                                                       
