      FUNCTION PMEAN (P,IMAX,JMAX)
#include <vrslv.com>
#include <vmetric.com>
      DIMENSION P(IMAX,JMAX)

      PARAMETER ( ZERO = 0.0 )
      PARAMETER ( FOUR = 4.0 )
      PARAMETER ( IMJMM2R = IMR*(JMR-1) )

C *********************************************************
C ****      CALCULATE GLOBAL MEAN SURFACE PRESSURE     ****
C *********************************************************

      QSMJ  = ZERO
      DO 10 I=1,IMJMM2R
      QSMJ  = QSMJ + P(I,2)*COSIJ(I,2)
   10 CONTINUE
      QSMJ  = QSMJ*DL*DP
      PMEAN = QSMJ/(FOUR*PI) + PTOP

      RETURN
      END
