      SUBROUTINE QBARU ( u,v,ubar,vbar,utmp,vtmp,im,jm )
      Dimension      u(im,jm)
      Dimension      v(im,jm)
      Dimension   ubar(im,jm)
      Dimension   vbar(im,jm)
      Dimension   utmp(im,jm)
      Dimension   vtmp(im,jm)
      Parameter (ahalf = 0.5  )

      imh    = im/2
      imjmm2 = im*(jm-2)

      call polewnd ( u,v,utmp,vtmp,im,jm )
      j =  2
      do i=1,imjmm2
      ubar(i,j) = ( utmp(i,j) + utmp(i-1,j) ) * ahalf
      vbar(i,j) = ( vtmp(i,j) + vtmp(i,j-1) ) * ahalf
      enddo

c fix longitudinal boundaries of ubar
c -----------------------------------
      im1 = im
      i   = 1
      do J=2,JM-1
      ubar(i,j) = ( utmp(i,j) + utmp(im1,j) ) * ahalf
      enddo
                  
      Return     
      End 
