      SUBROUTINE SETBCS (KBC,NYMD,NHMS,IRUN)                                    
C***********************************************************************        
C  PURPOSE                                                                      
C     Driver for GETBCS which fills boundary condition common block             
C  ARGUMENTS   DESCRIPTION                                                      
C     KBC ...... Unit to read BOUNDARY CONDITIONS                               
C     NYMD ..... Current YYMMDD                                                 
C     NHMS ..... Current HHMMSS                                                 
C     IRUN ..... Horizontal Resolution (IMxJM)                                  
C                                                                               
C***********************************************************************        
C*                  GODDARD LABORATORY FOR ATMOSPHERES                 *        
C***********************************************************************        
                                                                                
#include <vrslv.com>                                                            
#include <vstate.com>                                                           
                                                                                
      CALL GETBCS (KBC, NYMD, NHMS, TGZ, PHISZ, TVAZ, RADSWT,                   
     .             SSTZ, ALBZ, GWZ, THKZ, SRZ, ZLWI, IRUN)                      
                                                                                
      RETURN                                                                    
      END                                                                       
