      subroutine guopen(lu,file_name,im,jnp)

      character*(*) file_name

! Open GrADS data file

#if defined(RS6000) || defined(HP) 
      open(lu,file=file_name,form='unformatted',
     .                       access='direct',recl=4*im*jnp)
#endif
#ifdef SGI
      open(lu,file=file_name,form='unformatted',
     .                       access='direct',recl=im*jnp)

      ncfn=trulen(file_name)
      print 6001, lu, file_name(1:ncfn)
 6001 format('GrADS data file opened on unit ',i3,': ',a)
#endif

#ifdef CRAY

! Unit lu must be assigned properly on cray from script.  e.g., 
!  
!    assign -F null -N ieee u:10
!
! Any time that unit 10 is opened from the fortran, the file assigned to 
! unit 10 will be given these attributes.

      open(lu,file=file_name,form='unformatted')

#endif

      return
      end 


#ifdef CRAY
      subroutine guwrite(lu,irec,field,im,jnp)

      real field(im,jnp)
      real temp(im,jnp)

      do i=1,im*jnp
         if (abs(field(i,1)).gt.1.e-20) then
            temp(i,1)=field(i,1)
         else
            temp(i,1)=0.
         endif
      end do

      write(lu) temp
      return
      end

#endif
#ifdef RS6000
      subroutine guwrite(lu,irec,field,im,jnp)

      real field(im,jnp)

      write(lu,rec=irec) field

      return
      end

#endif

