! Modification log
!
! 940601 DJL - If plvl comes in as 0.0, return next field with requested 
!              variable ID (quanty) regardless of level ID.

      SUBROUTINE PHXREAD(LU_PHNX,QUANTY,PLVL,FIELDP,IM,JNP,IPXREC,IERR) 
C                                                                       
      REAL FIELDP(IM,JNP)                                               
      CHARACTER*8 QUANTY                                                
      CHARACTER*8 FIELD_NAME                                            
      logical found
                                                                        
C READ UNTIL DESIRED FIELD ENCOUNTERED                                  
C ------------------------------------                                  
                                                                        
      FIELD_NAME=' '                                                    
      APLEV=-1.                                                         
      found=.false.
                                                                        
      DO WHILE (.not.found)

         READ(iabs(LU_PHNX)) APLEV, FIELD_NAME, FIELDP                        

         found= (FIELD_NAME.eq.QUANTY.and.abs(APLEV-PLVL).lt.0.001)
     .     .or. (FIELD_NAME.eq.QUANTY.and.PLVL.eq.0.0)
                                                                        
         if (lu_phnx.lt.0) then
            if (found) then
               WRITE(6,6103) IPXREC, FIELD_NAME, APLEV                        
 6103          FORMAT(' (IPXREC=',I4,')',                                     
     .             ' FIELD ''',A8,''' AT LEVEL ',F7.2,' MB READ')          
            else
               WRITE(6,6104) IPXREC, FIELD_NAME, APLEV                        
 6104          FORMAT(' (IPXREC=',I4,')',                                     
     .             ' FIELD ''',A8,''' AT LEVEL ',F7.2,' MB SKIPPED')          
            end if
         end if 
                                                                        
         IPXREC=IPXREC+1                                                
                                                                        
      END DO                                                            
                                                                        
      IERR=0                                                            
                                                                        
      RETURN                                                            
      END                                                               
