      SUBROUTINE PHXSKIP(LU_PHNX,IPXREC,NUM_SFC_FIELDS,                 
     .      NUM_UA_FIELDS, NUM_UA_LEVELS,                               
     .      NUM_DIAG_FIELDS,NUM_LEV_DIAG,IERR)                          
                                                                        
      INTEGER NUM_LEV_DIAG(100)                                         
      integer read_status
      CHARACTER*8 FIELD_NAME                                            
                                                                        
      NREC_DIAG = 0                                                     
      DO K=1,NUM_DIAG_FIELDS                                            
         NREC_DIAG = NREC_DIAG + NUM_LEV_DIAG(K)                        
      END DO                                                            
                                                                        
      NREC_TOTAL = NUM_SFC_FIELDS + NUM_UA_FIELDS*NUM_UA_LEVELS +       
     .             NREC_DIAG                                            
      NREC_SKIP = NREC_TOTAL - IPXREC + 1                               
                                                                        
      DO K=1,NREC_SKIP                                                  

         READ(iabs(LU_PHNX),iostat=read_status) APLEV, FIELD_NAME

         if (read_status.ne.0) then

            write(6,6101) iabs(LU_PHNX), read_status
 6101       format(' PHXSKIP: EOF or ERR on unit ',i3,' during SKIP.',
     .             '  I/O status flag = ', i5)

            if (read_status.lt.0) then
               ierr=1
            else
               ierr=2
            end if

            return

         end if

         if (lu_phnx.lt.0) then
            WRITE(6,6103) IPXREC, FIELD_NAME, APLEV                        
 6103       FORMAT(' (IPXREC=',I4,')',                                     
     .          ' FIELD ''',A8,''' AT LEVEL ',F7.2,' MB SKIPPED')       
         end if 

         IPXREC=IPXREC+1                                                

      END DO                                                            

      IERR=0
                                                                        
      RETURN                                                            
      END                                                               
