      SUBROUTINE PMANDLEV ( PMAND, VPMAND, PMANDK,  VDPMANDK, PMANDK1,  PMA00020
     $                      PMIDM, VPMIDM, VPMIDMK, IM, MLEV          ) PMA00030
                                                                        PMA00060
      INTEGER           LEV                                             PMA00070
      DIMENSION         PMAND(MLEV)                                     PMA00080
      DIMENSION         PMANDK(MLEV)                                    PMA00090
      DIMENSION         PMANDK1(MLEV)                                   PMA00100
      DIMENSION         PMIDM(MLEV-1)                                   PMA00110
      DIMENSION         VDPMANDK(IM,MLEV-1)                             PMA00130
      DIMENSION         VPMAND(IM,MLEV)                                 PMA00140
      DIMENSION         VPMIDM(IM,MLEV-1)                               PMA00150
      DIMENSION         VPMIDMK(IM,MLEV-1)                              PMA00160
                                                                        PMA00170
      COMMON /CONST/    SIGE(20),DLAT,    DLON,    PI,      PI180,      PMA00180
     $                  PTOP,    PINT,    GI,      OMG2RE,  RADEI,      PMA00190
     $                  RADEI2,  GRADEI,  GRADEI2, G2,      POLEFAC,    PMA00200
     $                  RTD,     POLELAT                                PMA00210
                                                                        PMA00220
      COMMON /CONTRL/   IM0,     JNP0,    NB,      NDALT,   NHMS,       PMA00230
     $                  NLAY,    NLAYM1,  NLAYP1,  NYMD,    STRAT,      PMA00240
     $                  IDIMEN,  SLP,     FDCOS,   FEXP,    SAVEAE,     PMA00250
     $                  SIGDAT,  MAXREP                                 PMA00260
      LOGICAL           STRAT,   SLP,     FDCOS,   FEXP,    SAVEAE,     PMA00270
     $                  SIGDAT                                          PMA00280
                                                                        PMA00320
      COMMON /PHYSIC/   BETA,    CP,      GRAV,    OMEGA2,  RADE,       PMA00330
     $                  RGAS,    ROCP,    CPOG,    GAMMA,   ROCP1,      PMA00340
     $                  GOCP                                            PMA00350
                                                                        PMA00360
                                                                                
      MLEVM1 = MLEV - 1                                                 PMA00300
                                                                        PMA00720
      DO 125 LEV = 1, MLEV                                              PMA00730
         PMANDK(LEV)  = PMAND(LEV) * * ROCP                             PMA00750
         PMANDK1(LEV) = PMAND(LEV) * * (ROCP+1.)                        PMA00760
         DO 120 I = 1, IM                                               PMA00770
            VPMAND(I,LEV) = PMAND(LEV)                                  PMA00780
  120    CONTINUE                                                       PMA00790
  125 CONTINUE                                                          PMA00800
                                                                        PMA00810
      DO 135 LEV = 1, MLEVM1                                            PMA00820
         VPMIDMK(1,LEV)  = PMIDM(LEV)**ROCP                             PMA00840
         VDPMANDK(1,LEV) = PMANDK(LEV+1) - PMANDK(LEV)                  PMA00850
         DO 130 I = 1, IM                                               PMA00860
            VDPMANDK(I,LEV) = VDPMANDK(1,LEV)                           PMA00870
            VPMIDM(I,LEV)   = PMIDM(LEV)                                PMA00880
            VPMIDMK(I,LEV)  = VPMIDMK(1,LEV)                            PMA00890
  130    CONTINUE                                                       PMA00900
  135 CONTINUE                                                          PMA00910
                                                                        PMA00960
      RETURN                                                            PMA00970
      END                                                               PMA00980
