                                                                        
                                                                                
      SUBROUTINE RDTHRU( MFORM, lu )                                            
                                                                                
C  READS THROUGH A DATA TYPE ON THE REPACK DATA SETS                            
                                                                                
                                                                                
C     REAL              BUFF                                                    
C     REAL              FORM                                                    
      INTEGER           J                                                       
      INTEGER           MFORM                                                   
      INTEGER           NBUFF                                                   
      INTEGER           NFORM                                                   
C     REAL              XBUFF                                                   
C     REAL              XFORM                                                   
      character*60      message                                                 
                                                                                
      COMMON /CONTRL/   IM,      JNP,     NB,      NDALT,   NHMS,               
     $                  NLAY,    NLAYM1,  NLAYP1,  NYMD,    STRAT,              
     $                  IDIMEN,  SLP,     FDCOS,   FSOAR,   SAVEAE,             
     $                  SIGDAT,  MAXREP                                         
      LOGICAL           STRAT,   SLP,     FDCOS,   FSOAR,   SAVEAE,             
     $                  SIGDAT                                                  
                                                                                
                                                                                
C  OBSERVATIONAL DATA POSITIONING INFORMATION                                   
      COMMON /RECORD/   INDAT, INTIM, INCTIM, NFOR(5), NBUF(5)                  
                                                                                
      message(1:60) = ' '                                                       
C  DOUBLE CHECK ON DATA POSITION TO RIGHT DATE/TIME.                            
      IF( (INDAT.NE.NYMD).OR.(INTIM.NE.NHMS) ) THEN                             
         WRITE(6,900) NYMD, NHMS, INDAT, INTIM                                  
         message = ' RDTHRU: Dataset positioned to wrong date/time.'            
         call flash (5,message,1)                                               
      ENDIF                                                                     
                                                                                
C  Read through data records.                                                   
                                                                                
      nbuff = nbuf( lu - 71 + 1 )                                               
      nform = mform                                                             
                                                                                
      do while ( nform .eq. mform )                                             
                                                                                
      if ( nbuff .ne. 0 ) then                                                  
        do j = 1,nbuff                                                          
          read( lu )                                                            
        end do                                                                  
      end if                                                                    
                                                                                
C  Read next subheader.                                                         
                                                                                
      read ( lu ) form, buff                                                    
      xform = form                                                              
      xbuff = buff                                                              
      nform = nint(xform)                                                       
      nfor( lu - 71 + 1 ) = nform                                               
      nbuff = nint(xbuff)                                                       
      nbuf( lu - 71 + 1 ) = nbuff                                               
                                                                                
      end do                                                                    
                                                                                
      RETURN                                                                    
  900 FORMAT(' FATAL: The observation data is positioned incorrectly;' /        
     $       '    >>>: the requested analysis date / time is ',2I8  /           
     $       '    >>>: but is positioned to read at date/time = ',2I8  )        
      END                                                                       
