      subroutine vv2     ( a, b, dmark, nh, nin,              
     &                     nq, nr, ml, ns, nv, x, rdummy4)             
                                                                                
      implicit real ( a-h, o-z )                                                
                                                                                
      real A(NS,ml),B(NS,NR,NV,nh,NQ),X(NS,NR,NV,nh,NQ),
     &     dmark( ns )
     
      real t, vars
                                                                                
      data icounter /0/                                                         
                                                                                
C----------------------------------------------------------------------         
                                                                                
      IX (I, J) = I*(I-1)/2 + J                                                 
                                                                                
C----------------------------------------------------------------------         
                                                                                
!  Initialize arrays.                                                           
      if (nin.ne.1) then
        print*,'nin is not equal to 1 ',nin
        stop
      endif
                                                                                
      icounter = icounter + 1                                                   
      t = 0.                                                             
      vars = 0.                                                          
                                                                                
      N = NR                                                                    
                                                                                
!  Decompose the matrices.                                                      
                                                                                
                                                                                
      do i = 1,n                                                                
        do j = 1,i                                                              
                                                                                
                                                                                
            t  = a( 1, ix(i,j) )                                   
                                                                                
            vars = a( 1, ix(i,j) )                                 
                                                                                
                                                                                
          jm1 = j - 1                                                           
                                                                                
          if ( j .ne. 1 ) then                                                  
            do k = 1,jm1                                                        
                t = t - a( 1, ix(i,k) ) *                 
     &                       a( 1, ix(j,k) )                                
            end do                                                              
          end if                                                                
                                                                                
          if ( i .gt. j ) then                                                  
                                                                                
              a( 1, ix(i,j) ) = t * a( 1, ix(j,j) )            
                                                                                
                                                                                
          end if                                                                
          if ( i .eq. j ) then                                                  
                                                                                
             if ( t .gt. (1.e-3*vars ) .and.                  
     &            dmark(1) .eq. float( i-1 ) ) then                         
                 a( 1, ix(i,i) ) = 1./sqrt( t )                    
                 dmark( 1 ) = float( i )                                    
             else                                                               
                 a( 1, ix(i,i) ) = 0.0                                      
             end if                                                             
          end if                                                                
                                                                                
        end do                                                                  
      end do                                                                    
      n = j - 1                                                                 
                                                                                
!  Solve upper and lower triangular systems for all right hand sides.           
                                                                                
      do nn = 1,nv*nh*nq                                                        
                                                                                
!  Forward substitution.                                                        
                                                                                
        do i = 1,n                                                              
                                                                                
          t = b( 1,i,nn,1,1 )                                      
                                                                                
          if ( i .ne. 1 ) then                                                  
                                                                                
            do j = 1,(i-1)                                                      
                t = t - a( 1, ix(i,j) ) *                 
     &                     x( 1,j,nn,1,1 )                                  
            end do                                                              
                                                                                
          end if                                                                
                                                                                
          x( 1,i,nn,1,1 ) = t * a( 1, ix(i,i) )                
                                                                                
        end do                                                                  
                                                                                
!  Backward substitution.                                                       
                                                                                
        do ii = 1,n                                                             
          i = n + 1 - ii                                                        
                                                                                
          t= x( 1, i, nn, 1,1 )                                   
                                                                                
          if ( i .ne. n ) then                                                  
                                                                                
                                                                                
            do j = i+1, n                                                       
                                                                                
                t = t - a( 1,ix(j,i) ) *                  
     &                       x( 1,j,nn,1,1 )                                
                                                                                
            end do                                                              
                                                                                
          end if                                                                
                                                                                
          x( 1,i,nn,1,1 ) = t * a( 1,ix(i,i) )                 
                                                                                
        end do                                                                  
                                                                                
!  End of solution for each forcing.                                            
                                                                                
      end do                                                                    
                                                                                
      return                                                                    
      end                                                                       
