CDECK     YMDUPK
C***********************************************************************
C  SUBROUTINE YMDUPK
C  PURPOSE
C     UNPACKS YYMMDD OR HHMMSS TO NYR, NMO, NDA  RESP. NHR, NMI, NSE
C  USAGE
C     CALL YMDUPK ( NYMD, NYR, NMO, NDA )
C  DESCRIPTION OF PARAMETERS
C     NYMD    - YYMMDD/HHMMSS INTEGER DATE/TIME TO BE UNPACKED
C     NYR     - INTEGER YEAR/HOUR
C     NMO     - INTEGER MONTH/MINUTE
C     NDA     - INTEGER DAY/SECOND
C  SUBPROGRAMS REQUIRED
C     NONE
C  RECORD OF MODIFICATIONS
C     24SEP84 JIM.PFAENDTNER  NEW PROGRAM
C  REMARKS
C***********************************************************************
C
      SUBROUTINE YMDUPK ( NYMD, NYR, NMO, NDA )
C
C***********************************************************************
C
      NDA      = NYMD
      NYR      = 0.0001 * NDA + 0.001
      NDA      = NDA - 10000 * NYR
      NMO      = 0.0100 * NDA + 0.001
      NDA      = NDA - 100   * NMO
C
      RETURN
      END
