CFPP$ NOCONCUR R
      subroutine rptlly( datakx, datatyp, nrep, irpfrm )
 
c  Tally the number of quality reports read in to the analysis.
 
 
      integer           mxqobs
      parameter       ( mxqobs = 200 )
 
      integer           nrep
      real              datakx(nrep), datatyp(nrep)
      integer           i
      integer           irpfrm
      integer           k
 
      common /dattab/   nobs(mxqobs,5)
 
      common /obs/      maxdex, nfgge, lun, dataname(5), hh(13,13,20),
     $                  vcoroe(18,18,4), obserr(mxqobs,4,19),
     $                  ww(13,13,20),
     $                  obsname(mxqobs), qobs(mxqobs,5), offlev(mxqobs)
      character*8       dataname
      character*24      obsname
      logical           qobs, offlev
 
c  Zero out the tally array at the start of each analysis.
 
      if( irpfrm.eq.1 ) nobs( 1:mxqobs, 1:5 ) = 0
 
c  Tally up the reports which passed quality control.

!can be improved since test on irpfrm is only necessary once for the 
! loop, gvl

      do i = 1, nrep
 
            k = int( datakx(i) )
            if ( irpfrm .eq. 1 .or. irpfrm .eq. 3 .or.
     &           irpfrm .eq. 4 ) then
 
              if ( datatyp(i) .eq. 1. ) nobs( k,irpfrm ) =
     &                              nobs( k,irpfrm ) + 1
 
            else
 
              if ( datatyp(i) .ge. 2. ) nobs( k,irpfrm ) =
     &                              nobs( k,irpfrm ) + 1
 
            end if
 
      end do
 
      return
      end
