      subroutine mtpthick (mtp_lat,mtp_lon,mtp_pressure,mtp_temp,
     &                     imtp, zmod, tmod)

      real mtp_lat(6000), mtp_lon(6000), mtp_pressure(6000),
     &     mtp_temp(6000), zmod(1,1,1), fg_T(6000), tmod(1,1,1)
 
      common /pmh/ pmand(18)

      integer lev_below

      R = 287.
      gravity = 9.81

      call vterpv ( mtp_lat, mtp_lon, 
     &              mtp_pressure, fg_T, imtp, tmod)

      do i = 1,imtp

       if ( mtp_pressure(i) .gt. 5. .and.
     &      mtp_pressure(i) .lt. 400. ) then
       pointer = pindx2( mtp_pressure(i) )
       lev_below = int(pointer) + 1

       T_bar = (mtp_temp(i) + fg_T(i))/2. ! not quite ideal
       thick_mtp =  -(R*T_bar / gravity) * 
     &        log( mtp_pressure(i)  / pmand(lev_below))
      
       call vterpv ( mtp_lat(i), mtp_lon(i),
     &               pmand(lev_below), ref_Z, 1, zmod)

       mtp_temp(i) = thick_mtp+ref_Z
       print*, mtp_temp(i),mtp_pressure(i)
       end if

      end do

      end 
