      subroutine defdate ( requested_date )
      integer bin_date, days(12), day, month, year, requested_date
 
      data days  / 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 /
 
      bin_date =  requested_date 
 
      day =  bin_date - int ( bin_date/100 ) * 100
      month =  bin_date - int( bin_date/10000 )* 10000
      month =  int( month/100 )
      year =   int( bin_date/10000 )
 
!  Check for impossible day, if found increment month or year, if
!  necessary.
 
 
      if ( day .gt. days(month) ) then
 
!  If the date is February 29, check for a valid leap year.
 
           if ( day .eq. 29  .and.  month .eq. 2  .and.
     &          mod( year,4 ) .ne. 0 ) then
                 day = 1
                 month = 3
                 year = year * 10000
                 month = month *100
                 bin_date = year + month + day
                 write(6,*) bin_date
                 stop
 
           else if ( day .eq. 29 .and. month .eq. 2 .and.
     &               mod(year,4) .eq. 0 ) then
                 write(6,*) bin_date
                 stop
           end if
 
           day = 1
           month = month + 1
 
 
! Case where data from a new year is required.
 
           if ( month .eq. 13 ) then
              month = 1
              year = year + 1
           end if
 
! Case where data overlaps the turn of the century.
 
           if ( year .eq. 100 ) then
              year = 0
           end if
 
           year = year * 10000
           month = month *100
           bin_date = year + month + day
 
       end if
 
       requested_date =  bin_date 
       return
 
       end
