C
C     PROGRAM HEAPTST
C
C     INTEGER           N
C     PARAMETER       ( N = 11 )
C
C     INTEGER           IHEAP(N), RHEAP(N), CHEAP(N), I
C     INTEGER           ITEST(N)
C     REAL              RTEST(N)
C     CHARACTER*8       CTEST(N)
C
C     DATA ITEST / 23        , 3         , 8         , 25        ,
C    $             17        , 2         , 5         , 24        ,
C    $             18        , 1         , 6                        /
C
C     DATA RTEST / 23.       , 3.        , 8.        , 25.       ,
C    $             17.       , 2.        , 5.        , 24.       ,
C    $             18.       , 1.        , 6.                       /
C
C     DATA CTEST / 'P       ', 'C       ', 'H       ', 'Y       ',
C    $             'R       ', 'B       ', 'E       ', 'X       ',
C    $             'Q       ', 'A       ', 'F       '               /
C
C     CALL DIHEAPS( ITEST, IHEAP, N-1 )
C     WRITE(6,900) ( ITEST(IHEAP(I)), I = 1, N-1 )
C     DO 100 I = 1, N
C 100 CALL MXIHEAPA( ITEST, IHEAP, I )
C     WRITE(6,900) ( ITEST(IHEAP(I)), I = 1, N )
C
C     CALL AIHEAPS( ITEST, IHEAP, N-1 )
C     WRITE(6,900) ( ITEST(IHEAP(I)), I = 1, N-1 )
C     DO 101 I = 1, N
C 101 CALL MIIHEAPA( ITEST, IHEAP, I )
C     WRITE(6,900) ( ITEST(IHEAP(I)), I = 1, N )
C
C     CALL DRHEAPS( RTEST, RHEAP, N-1 )
C     WRITE(6,910) ( RTEST(RHEAP(I)), I = 1, N-1 )
C     DO 200 I = 1, N
C 200 CALL MXRHEAPA( RTEST, RHEAP, I )
C     WRITE(6,910) ( RTEST(RHEAP(I)), I = 1, N )
C
C     CALL ARHEAPS( RTEST, RHEAP, N-1 )
C     WRITE(6,910) ( RTEST(RHEAP(I)), I = 1, N-1 )
C     DO 201 I = 1, N
C 201 CALL MIRHEAPA( RTEST, RHEAP, I )
C     WRITE(6,910) ( RTEST(RHEAP(I)), I = 1, N )
C
C     CALL DCHEAPS( CTEST, CHEAP, N-1 )
C     WRITE(6,920) ( CTEST(CHEAP(I)), I = 1, N-1 )
C     DO 300 I = 1, N
C 300 CALL MXCHEAPA( CTEST, CHEAP, I )
C     WRITE(6,920) ( CTEST(CHEAP(I)), I = 1, N )
C
C     CALL ACHEAPS( CTEST, CHEAP, N-1 )
C     WRITE(6,920) ( CTEST(CHEAP(I)), I = 1, N-1 )
C     DO 301 I = 1, N
C 301 CALL MICHEAPA( CTEST, CHEAP, I )
C     WRITE(6,920) ( CTEST(CHEAP(I)), I = 1, N )
C
C     STOP 0
C 900 FORMAT(1X, 5I15   )
C 910 FORMAT(1X, 5F15.2 )
C 920 FORMAT(1X, 5A15   )
C     END
 
      SUBROUTINE DIHEAPS( TEST, IHEAP, N )
 
C  DECENDING-INTEGER-HEAP-SORT
 
      INTEGER           IHEAP(N), N , I, IH
      INTEGER           TEST(N)
 
C  CREATE A MAX-INTEGER-HEAP
      CALL MXIHEAPY( TEST, IHEAP, N )
 
C  EXTRACT LARGEST ELEMENTS ONE AT A TIME AND PLACE THEM AT END OF LIST
      DO 100 I = N, 2, -1
        IH       = IHEAP(I)
        IHEAP(I) = IHEAP(1)
        IHEAP(1) = IH
        CALL MXIHEAPJ( TEST, IHEAP, 1, I-1 )
  100 CONTINUE
 
      RETURN
      END
