C                                                                       FIL00010
      SUBROUTINE FILLPROF(BUFFER,ILOC,JLOC,IM,NLAY,I,J,NPROF,           FIL00020
     .                    LAT,TPROFILE)                                 FIL00030
      REAL           BUFFER(IM,NLAY),TPROFILE(J,NLAY,NPROF)             FIL00040
      INTEGER        ILOC(10),JLOC(10)                                  FIL00050
C                                                                       FIL00060
C                     PURPOSE: FILL THE PROFILE WITH THE GIVEN          FIL00070
C                              ARRAY FOR THE GIVEN GRID POINTS          FIL00080
C                                                                       FIL00090
                                                                        FIL00100
              DO 60 IQ = 1,IM                                           FIL00110
                IPROF = 0                                               FIL00120
C                                                                       FIL00130
C                    MATCH THE GRID INDEXS                              FIL00140
C                                                                       FIL00150
                DO 10 N = 1,NPROF                                       FIL00160
                   IF(IQ .EQ. ILOC(N) .AND. LAT .EQ. JLOC(N)) THEN      FIL00170
                         IPROF = N                                      FIL00180
                         GO TO 20                                       FIL00190
                   ENDIF                                                FIL00200
   10           CONTINUE                                                FIL00210
   20           CONTINUE                                                FIL00220
C                                                                       FIL00230
C                     FILL THE PROFILE IF INDEXES MATCH                 FIL00240
C                     OTHERWISE CHECK FOR THE NEXT                      FIL00250
C                                                                       FIL00260
                IF(IPROF .GT. 0) THEN                                   FIL00270
                  DO 40 NL = 1,NLAY                                     FIL00280
                    TPROFILE(I,NL,IPROF) =  BUFFER(IQ,NL)               FIL00290
   40             CONTINUE                                              FIL00300
                ENDIF                                                   FIL00310
   60        CONTINUE                                                   FIL00320
             RETURN                                                     FIL00330
             END                                                        FIL00340
