 
      INTEGER FUNCTION IPLEV( PR )
 
C  FINDS CLOSEST MANDATORY PRESSURE LEVEL TO A GIVEN PRESSURE IN TERMS
C  OF ALOG(PRESSURE).
 
 
      REAL              ALOGPR
      INTEGER           HIGH
      INTEGER           LOW
      INTEGER           MID
C     REAL              PR
 
      COMMON /GRIDXX/   IM, JNP, MLEV
      COMMON /PMH/      PMAND(18)
 
      LOW    = 1
      HIGH   = mlev
      MID  =  ( LOW + HIGH ) / 2
C  CHECK WHETHER THE PRESSURE IS WITHIN THE RANGE OF THE ANALYSIS LEVELS
      IF( PR.LT.(PMAND(LOW)-0.001) .OR. PR.GT.1050.0 ) THEN
         IPLEV = 999
      ELSE
         ALOGPR = LOG(PR)
  100    IF( LOW.LE.HIGH ) THEN
            MID  =  ( LOW + HIGH ) / 2
            IF( ALOGPR.LT.LOG(pmand(MID)) ) THEN
               HIGH = MID - 1
               GOTO 100
            ELSE IF ( ALOGPR.GT.LOG(pmand(MID)) ) THEN
               LOW  = MID + 1
               GOTO 100
            ELSE
               IPLEV = MID
            ENDIF
         ELSE
            IPLEV = MID
            IF( MID.LT.mlev ) THEN
               IF( ABS(LOG(pmand(MID+1))-ALOGPR) .LT.
     $                                ABS(LOG(pmand(MID))-ALOGPR) )
     $         IPLEV = MID + 1
            ENDIF
         ENDIF
      ENDIF
 
      RETURN
      END
