c                                                                               
      subroutine oihished(iunit,xlabel,job,log8r,pres,names,nymd,nhms,          
     .                    nymd0,nhms0,nameu,named,                              
     .                    nsfld,nufld,ndfld,im,jnp,nlay)                        
c                                                                               
      parameter (nsfldr=6,nufldr=6,ndfldr=5,nulevr=50,nddiag=5)                 
      dimension pres(1)                                                         
       integer        int_header(100),num_lev_diag(100)                         
       real           real_header(100),sigma_edge(50)                           
       character * 40 header_descr(100)                                         
c                                                                               
      character*8    job                                                        
      character*8    names(nsfld)                                               
      character*8    nameu(nufld)                                               
      character*8    named(ndfld)                                               
      character*8    char_header(100),blanks                                    
      character*40   descs(nsfldr)                                              
      character*40   descu(nufldr)                                              
      character*40   descd(ndfldr)                                              
      character * 80 xlabel                                                     
c                                                                               
                                                                                
c                                                                               
c             description for surface fields                                    
c                                                                               
      data descs( 1) /'Surface geopotential (g*zs) (m**2/s**2) '/               
      data descs( 2) /'Surface virtual temperature (K)         '/               
      data descs( 3) /'Surface pressure (mb)                   '/               
      data descs( 4) /'Sea level pressure (mb)                 '/               
      data descs( 5) /'Sea level u-wind   (m/s)                '/               
      data descs( 6) /'Sea level v-wind   (m/s)                '/               
c                                                                               
c              description for upper air fields                                 
c                                                                               
      data descu( 1) /'U-wind (m/s)                            '/               
      data descu( 2) /'V-wind (m/s)                            '/               
      data descu( 3) /'Geopotential height (m)                 '/               
      data descu( 4) /'Temperature (K)                         '/               
      data descu( 5) /'Mixing ratio (g/kg)                     '/               
      data descu( 6) /'Relative humidity (%)                   '/               
                                                                                
c                                                                               
c              description for diagnostic errors                                
c                                                                               
      data descd( 1) /'Sea level pressure error std. dev. (mb) '/               
      data descd( 2) /'U-wind error std. dev. (m/s)            '/               
      data descd( 3) /'V-wind error std. dev. (m/s)            '/               
      data descd( 4) /'Height error std. dev. (m)              '/               
      data descd( 5) /'Mixing ratio error std. dev. (g/kg)     '/               
      data blanks /'        '/                                                  
c                                                                               
c        initialize the header constants                                        
c                                                                               
                                                                                
      nulev = nlay                                                              
      num_model_levels = 0                                                      
      model_top_pres  = 0                                                       
 
      do 10 i = 1,100                                                           
        char_header(i) = blanks                                                 
   10 continue                                                                  

      undef = getcon('UNDEF')

      num_hdr_vars = 2

      header_descr(1) = 'Record type flag (integer)'
      int_header(1) = log8r
      real_header(1) = undef
      char_header(1) = 'log8r'

      header_descr(2) = 'Undefined fill value (real)'
      int_header(2) = 0
      real_header(2) = undef
      char_header(2) = 'undef'

c         zero out the sigma edges                                              
 
      do 20 i = 1,100                                                           
        sigma_edge(i) = 0.0                                                     
   20 continue                                                                  
c                                                                               
c         set number of levels for each diagnostic field written                
c          surface pressure              1                                      
c          upper air u-wind             nlay                                    
c          upper air v-wind             nlay                                    
c          upper air heights            nlay                                    
c          upper air mixing ratio       nlay                                    
c                                                                               
        num_lev_diag(1) = 1                                                     
        num_lev_diag(2) = nlay                                                  
        num_lev_diag(3) = nlay                                                  
        num_lev_diag(4) = nlay                                                  
        num_lev_diag(5) = nlay                                                  
c                                                                               
      ndum   =  0                                                               
                                                                                
c *********************************************************************         
c *****                     header record                          ****         
c *********************************************************************         
c                                                                               
      write (iunit) job, nymd, nhms, nymd0, nhms0,                              
     .              xlabel, im, jnp,                                            
     .              nsfld, nufld, ndfld,model_top_pres,                         
     .              nulev, (pres(k),k=nulev,1,-1),num_model_levels,             
     .              (sigma_edge(i),i=1,num_model_levels+1),                     
     .              num_hdr_vars,                                               
     .              (header_descr(i),                                           
     .               int_header(i),                                             
     .               real_header(i),                                            
     .               char_header(i),i=1,num_hdr_vars)                           
                                                                                
      write (iunit) (names(n),descs(n),                    n=1,nsfld),          
     .              (nameu(n),descu(n),                    n=1,nufld),          
     .              (named(n),descd(n),num_lev_diag(n),    n=1,ndfld)           
       return                                                                   
       end                                                                      
