 
      SUBROUTINE PREFAC( L, PX, NS, LQU, PWT )
 
C  SETS INTERPOLATION FACTORS FOR LINEAR-IN-LOG(PRESSURE) VERTICAL
C  INTERPOLATION BY ROUTINE TERPV3
 
 
      REAL              ALOG1100
      PARAMETER       ( ALOG1100 = 7.0036953 )
 
      REAL              ALOGPX
      REAL              APDAPD
      REAL              APDAPU
      INTEGER           II
      INTEGER           L
      real              LQU(ns)
      INTEGER           NS
      DIMENSION         PWT(NS)
      DIMENSION         PX(NS)
      REAL              RCDAPD
      REAL              RCDAPU
 
      COMMON /GRIDXX/   IM, JNP, MLEV
 
      COMMON /PMH/      PMAND(18)
 
      IF ( L.EQ.mlev ) THEN
         RCDAPD = 1.0 / ( ALOG1100     - LOG(pmand(mlev)) )
         APDAPD = RCDAPD * ALOG1100
      ELSE
         RCDAPD = 1.0 / ( log(pmand(L+1)) - log(pmand(L)) )
         APDAPD = RCDAPD * log(pmand(L+1))
      ENDIF
      RCDAPU = 1.0 / ( log(pmand(L)) - log(pmand(L-1)) )
      APDAPU = RCDAPU * log(pmand(L-1))
 
      DO 500 II = 1, NS
         ALOGPX = PX(II)
         ALOGPX = ALOG( ALOGPX )
         IF ( ALOGPX.LT.log(pmand(L)) ) THEN
            PWT(II) = + ALOGPX * RCDAPU - APDAPU
            LQU(II) = L - 1
         ELSE
            PWT(II) = - ALOGPX * RCDAPD + APDAPD
            LQU(II) = L
         ENDIF
  500 CONTINUE
 
      RETURN
      END
