!
!  Gregor von Laszewski, 12/95 Changed to compile on RS6000 using xlf
!  
      SUBROUTINE WERRINIT ( fcerr, im, jnp, mlev, uerr, verr )
 
      real  uerr(im,jnp,mlev), verr(im,jnp,mlev), latitude,
     &      fcerr(im,jnp,mlev)
 
      common /cortabs/ hcorfe( 2000,3,20,2 )
 
!gvl  DATA GRAVITY /9.81/
 
      PI = 4.*ATAN(1.)
      DRC = PI / 180.
 
      call getconh( 'GRADEI  ',gradei)
 
      werror = -hcorfe(1,3,1,2)
 
      SQRTWE = SQRT( WERROR )
 
      DO 1 K = 1,mlev
        DO 2 J = 1,jnp
          DO 3 I = 1,im
 
 
             latitude = (180. / float( jnp-1 )) * ( j-1 ) - 90.
 
 
             PHIWT = ABS( LATITUDE ) / 30.
             LATITUDE = LATITUDE * DRC
             F = 2.*(7.29E-5)*SIN(LATITUDE)
             UERR( I,J,K ) = ABS( (gradei / f) ) *
     &                        SQRTWE*fcerr(i,j,k)
             VERR( I,J,K ) = UERR( I,J,K )
 
             SINWT = PHIWT * 90. * DRC
             GEOSTWT = PHIWT * SINWT
             TROPWT = 1.-PHIWT
 
             IF ( (PHIWT*30.) .GT. 30. ) GEOSTWT = 1.
             IF ( (PHIWT*30.) .GT. 30. ) TROPWT = 1.
 
             UERR( I,J,K ) = GEOSTWT * UERR( I,J,K ) + TROPWT*5.
             VERR( I,J,K ) = GEOSTWT * VERR( I,J,K ) + TROPWT*5.
 
 3         CONTINUE
 2       CONTINUE
 1     CONTINUE
      print*, ' Geostrophic wind errors computed. '
 
 
      RETURN
      END
