      program phoenix_date
c                                                                               
      character*8  xlabel(10) , job,  name                                      
      dimension     sige (50) , ndlev(100), zlev(50)                            
      dimension      idum(100),  rdum(100)                                      
      character*8   names(100), nameu(100), named(100), cdum(100)               
      character*40  descs(100), descu(100), descd(100), ddum(100)               

      character*80    phoenix_file_name
      integer         read_status
      integer         begin_date, begin_time
      integer         end_date, end_time


! From standard input, read the name of the phoenix file
! and open that file.

      read(5,'(a80)') phoenix_file_name
      open(unit=8,file=phoenix_file_name,form='unformatted')

      read_status=0
      begin_date=0
      begin_time=0
      end_date=0
      end_time=0

      do while (read_status.eq.0)

c *******************************************************************           
c ****                       read header                         ****           
c *******************************************************************           
                                                                                
         read (8,iostat=read_status) 
     .                 job, nymd, nhms, nymd0, nhms0,                           
     .                 xlabel, im, jnp,                                         
     .                 nsfld, nufld, ndfld,                                     
     .                 ptop, nulev, (zlev(k),k=1,nulev),                        
     .                 nlay, (sige(k),k=1,nlay+1),                              
     .                 ndum, (ddum(n),idum(n),rdum(n),cdum(n),n=1,ndum)
                                                                                
         if (read_status.eq.0) then 

            read (8)
     .           ( names(n), descs(n),           n=1,nsfld ),
     .           ( nameu(n), descu(n),           n=1,nufld ),
     .           ( named(n), descd(n), ndlev(n), n=1,ndfld )

c *******************************************************************           
c ****                 Skip all data fields                      ****           
c *******************************************************************           

            n_total_fields=nsfld+nulev*nufld
            do n=1,ndfld
               n_total_fields=n_total_fields+ndlev(n)
            end do

            do n=1,n_total_fields
               read (8)
            end do

c *******************************************************************           
c ****            Save first and last date and time              ****           
c *******************************************************************           

            if (begin_date.eq.0) then
               begin_date=nymd
               begin_time=nhms
            end if

            end_date=nymd
            end_time=nhms

         end if

      end do

c *******************************************************************           
c ****       Write the dates and times to standard output        ****           
c *******************************************************************           

      write(6,'(4(i6.6,1x))') begin_date, begin_time, end_date, end_time

      end
